
\version "2.13.18"

#(set-global-staff-size 20) %Sets the distance (in points) from the top line to the bottom line of a single staff 

\paper {
	system-count = #1 %Suggests to Lilypond how many braces to use for this piece.
}


\header {
	title = "Alpha.  C.M. " %Tune name and hymn meter
	poet = \markup { "C Major   Isaac Watts, 1792." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverseA = \lyricmode {
%	\set stanza = "1."
%	Ye flow -- ’ry plains, pro -- claim His skill;
%	Val -- leys lie low be -- fore His eye;
%	And let His praise from ev -- ’ry hill
%	Rise tune -- ful to the neigh -- b’ring sky.

}

tempverseAA = \lyricmode {  }
	
tempverseB = \lyricmode {
%	\set stanza = "1."
	My soul, re -- peat his praise,
	Whose mer -- cies are so great;
	Whose an -- ger is so slow to rise,
	So rea -- dy to a -- bate.
}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key c \major %Key signature
	\time 3/2 %Time signature
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	                   
	r1 e2 | c2 ( g2 ) a4 ( b4 ) | c1 d2 | e1 
	d2 | c1 b2 | a2 ( b4. c8 ) d2 | d1
	b2 | c4. ( b8 a2 ) g2 | a2 ( b2 ) c2 | d4. ( e8 d8 e8 f8 d8 ) e4 ( c4 ) | b1
	b2 | c2 ( d2 ) e4 ( c4 ) | b1 b2 | c1.
	 
	\bar".|."
}

LyricRhythm = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	%Insert code for Lilypond to use in lining up lyrics with the notes
	%Notes can be anything, but the rhythm should represent the time spent on each syllable in the lyrics
	
	r1 c2 | c1 c2 | c1 c2 | c1
	c2 | c1 c2 | c1 c2 | c1
	c2 | c1 c2 | c1 c2 | c1 c2 | c1
	c2 | c1 c2 | c1 c2 | c1.
}

StaffB = \relative c' {
	\clef G %Treble clef
	\key c \major %Key signature
	\time 3/2 %Time signature
	\sacredHarpHeads  
	                   
	r1 g'2 | a2 ( g2 ) f2 | e4. ( f8 g2 ) g2 | g1
	g2 | e4. ( f8 g2 ) < e g >2 | a2( g2) fis2 | g1
	g2 | a1 g2 | a2( g2) e2 | g1 g2 | g1
	g2 | a2( g2) e2 | g1 f2 | e1.
	 
	\bar".|."
}

StaffC = \relative c'' {
	\clef G %Treble clef
	\key c \major %Key signature
	\time 3/2 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	                   
	r1 c2 | c1 d4( e8 f8) | e4.( d8 c2) b2 | c1
	d2 | e4.( d8 c2) g2 | c2( b2) a2 | g1
	g2 | c1 e2 | f4.( e8 d2) c2 | b4( a4) g2 c4( e4) | d1
	g,2 | a2( b2) c4( f4) | e2.( d8 c8) d2 | c1.
	 
	\bar".|."
}

StaffD = \relative c {
	\clef bass %Bass clef
	\key c \major %Key signature
	\time 3/2 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	                   
	r1 c2 | f2( e2) d2 | c1 <g g'>2 | c1 
	g'2 | c,1 e2 | f2( g2) d2 | g1
	g2 | f1 e2 | d2( g2) a2 | g4( f4 e4 d4) c2 | <g g'>1
	g'2 | f2( e2) <a c,>2 | <g g,>1 <g g,>2 | c,1.
	 
	\bar".|."
}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>

			\context Devnull = LyrStaffA <<
				\context Voice = LyrStaffA \LyricRhythm
			>>
			\new Lyrics \lyricsto LyrStaffA \tempverseB
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-1

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
			\context Staff = cStaffCA <<
				\context Voice = cStaffCA \StaffC
			>>
			\context Devnull = LyrStaffB <<
				\context Voice = LyrStaffB \LyricRhythm
			>>
			\new Lyrics \lyricsto LyrStaffB \tempverseB

			\context Staff = cStaffDA <<
				\context Voice = cStaffDA \StaffD
			>>
		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 72 2) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
