
\version "2.12.3"
\include "..\SHRepeats.ly"

#(set-global-staff-size 19) %Sets the distance (in points) from the top line to the bottom line of a single staff 

flat = \markup { \raise #0.4 \smaller \musicglyph #"accidentals--2" }
sharp = \markup { \raise #0.6 \smaller \musicglyph #"accidentals-2" }
textcodaysym = \markup { \hspace #1 \raise #1.1 \musicglyph #"scripts-coda"}

\paper {
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
}


\header {
	title = "Majesty.  C.M. " %Tune name and hymn meter
	poet = \markup { "C Major   Isaac Watts, 1792." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverseA = \lyricmode {
%	\set stanza = "1."
	Be -- hold the glo -- ries of the Lamb,
	A -- midst his fa -- ther's throne!
	Pre -- pare new ho -- nours for his name,
	Pre -- pare new ho -- nours for his name,
	And songs be -- fore un -- known. -known.

}

tempverseB = \lyricmode {
%	\set stanza = "1."
	Pre -- pare new ho -- nours for his name,
	And songs be -- fore un -- known. -known.
}

tempverseD = \lyricmode {
%	\set stanza = "1."
	Pre -- pare new ho -- nours for his name,
	Pre -- pare new ho -- nours for his name,
	And songs be -- fore un -- known. -known.
}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key c \major %Key signature
	\time 4/4 %Time signature
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	\override Staff.BarLine #'stencil = #with-shapenote-repeats	
                   
	r2 c2 | c8( b8 a8 g8 a4) c4 | b2 b2 | c4( a4) b2 | c1 |
	g2 c4 c4 | a8.( b16 a8 g8 a4) c4  
	\partial 4*3
	d2. 
	\repeat volta 2 {
	  \partial 4 r4 | d2 e4 d4 | c4.( b8 a4) b4 | a2 c2 | b2.
	  d4 | c4 g4 d'4 d4 | e4 e4 d4 d4 | e8.( f16 e8 d8 c8. d16 c8 b8 | c4 e2)
	  d4 | c4( a4) b2 
	}
	\alternative {
	  { \partial 4*3 c2. }
	  { c1 }
	}
	 
	\bar".|."
}

LyricRhythmA = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	%Insert code for Lilypond to use in lining up lyrics with the notes
	%Notes can be anything, but the rhythm should represent the time spent on each syllable in the lyrics
	
	r2 c2 | c2. c4 | c2 c2 | c2 c2 | c1 |
	c2 c4 c | c2. c4 | c1 |
	c2 c4 c4 | c2. c4 | c2 c2 | c2.
	c4 | c4 c4 c4 c4 | c4 c4 c4 
	c4 |  c1.. c4 | c2 c2  
	\partial 4*3 c2. | c1
}

StaffB = \relative c' {
	\clef G %Treble clef
	\key c \major %Key signature
	\time 4/4 %Time signature
	\sacredHarpHeads  
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
                   
	r2 g'2 | a2. a4 | g2 g2 | e2 g2 | g1 |
	g2 e4 g4 | f4.( g8 f4) e4  
	\partial 4*3 
	d2.
	\repeat volta 2 {
	  \partial 4 r4 | R1 | r2 r4 
	  g4 | d4 d4 e4 e4 | g2. g4 | e2( g2 | g1 | g2.)
	  d4 | e4.( d8 c4) a'4 | g2 g2 
	}
	\alternative {
	  { \partial 4*3 e2. }
	  { e1 }
	}
 
	\bar".|."
}

LyricRhythmB = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	%Insert code for Lilypond to use in lining up lyrics with the notes
	%Notes can be anything, but the rhythm should represent the time spent on each syllable in the lyrics
	
	R1*9 | r2.
	c4 | c4 c4 c4 c4 | c2. c4 | c1 | R1 | r2.
	c4 | c2. c4 | c2 c2  
	\partial 4*3 c2. | c1
}

StaffC = \relative c'' {
	\clef G %Treble clef
	\key c \major %Key signature
	\time 4/4 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
                   
	r2 g2 | c4( d8 e8 f4) e4 | d2 d2 | a4( c4) d2 | e1 |
	d2 e4 c4 | d8.( e16 d8 c8 b4) a4  
	\partial 4*3 
	g2.
	\repeat volta 2 {
  	  \partial 4 
	  r4 | r2. g4 | c4 c4 c4 e4 | f2 e2 | d2.
	  d4 | e4 c4 d8[ c8] b8[ a8] | g4 g4 g4
	  g4 | c4.( d8 c8. d16 e8 f | g4. a8 g4)
	  f4 | e2 d2
	}
	\alternative {
	  { \partial 4*3 c2. }
	  { c1 }
	}
	 
	\bar".|."
}

LyricRhythmC = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"

	r2 c2 | c2. c4 | c2 c2 | c2 c2 | c1 |
	c2 c4 c | c2. c4 | c1 |
	r2. c4 | c4 c4 c4 c4 | c2 c2 | c2.
	c4 | c4 c4 c4 c4 | c4 c4 c4
	c4 | c1 | r2. c4 | c2 c2 
	\partial 4*3 c2. | c1	
}

StaffD = \relative c {
	\clef bass %Bass clef
	\key c \major %Key signature
	\time 4/4 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
                
	r2 g'2 | f4.( e8 d4) c4 | g'2 g2 | a2 g2 | c,1 |
	g'2 c,4 e4 | d2. d4  
	\partial 4*3
	<g g,>2.
	\repeat volta 2 {
	  \partial 4
  	  c,4 | g'4 g4 e4 g4 | a4.( g8 f4) e4 | d2( c2 | <g g'>2.)
	  <g g'>4 | c4 c4 g4 g4 | c8( d8 e8 f8 g4) g4 |
	  c,2. d4 | e8( f8 g8 e8 c4) d4 | e2 g2
	}
	\alternative {
	  { \partial 4*3 c,2.}
	  { c1 }
	}
	 
	\bar".|."
}

LyricRhythmD = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	%Insert code for Lilypond to use in lining up lyrics with the notes
	%Notes can be anything, but the rhythm should represent the time spent on each syllable in the lyrics
	
	R1*7 |
	R2. c4 | c4 c4 c4 c4 | c2. c4 | c1 |
	R2. c4 | c4 c4 c4 c4 | c2. c4 | c2.
	c4 | c2. c4 | c2 c2  
	\partial 4*3 c2. | c1
		
}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>

			\context Devnull = LyrStaffA <<
				\context Voice = LyrStaffA \LyricRhythmA
			>>
			\new Lyrics \lyricsto LyrStaffA \tempverseA
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-1

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
			\context Devnull = LyrStaffB <<
				\context Voice = LyrStaffB \LyricRhythmB
			>>
			\new Lyrics \lyricsto LyrStaffB \tempverseB

			\context Staff = cStaffCA <<
				\context Voice = cStaffCA \StaffC
			>>
			\context Devnull = LyrStaffC <<
				\context Voice = LyrStaffC \LyricRhythmC
			>>
			\new Lyrics \lyricsto LyrStaffC \tempverseA

			\context Staff = cStaffDA <<
				\context Voice = cStaffDA \StaffD
			>>
			\context Devnull = LyrStaffD <<
				\context Voice = LyrStaffD \LyricRhythmD
			>>
			\new Lyrics \lyricsto LyrStaffD \tempverseD
		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 72 2) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
