
\version "2.12.3"
\include "..\SHRepeats.ly"

#(set-global-staff-size 19) %Sets the distance (in points) from the top line to the bottom line of a single staff 

flat = \markup { \raise #0.4 \smaller \musicglyph #"accidentals--2" }
sharp = \markup { \raise #0.6 \smaller \musicglyph #"accidentals-2" }
textcodaysym = \markup { \hspace #1 \raise #1.1 \musicglyph #"scripts-coda"}

\paper {
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
}


\header {
	title = "Harmony.  C.M. " %Tune name and hymn meter
	poet = \markup { "F Major   Isaac Watts, 1792." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverseA = \lyricmode {
%	\set stanza = "1."
	Ten thou -- sand thou -- sand are their tongues,
	But all their joys are one.
	Ten thou -- sand thou -- sand are their tongues,
	But all their joys are one. one.
}

tempverseB = \lyricmode {
%	\set stanza = "1."
	Come let us join our cheer -- ful songs,
	With an -- gels round the throne.
	Ten thou -- sand thou -- sand are their tongues,
	But all their joys are one.
	But all their joys, all their joys are one. one.
}

tempverseAlto = \lyricmode {
%	\set stanza = "1."
	Ten thou -- sand thou -- sand are their tongues,
	But all their joys are one.
	But all their joys are one. one.
}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key f \major %Key signature
	\time 4/4 %Time signature
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	\override Staff.BarLine #'stencil = #with-shapenote-repeats	
                   
	r2 a2 | c2( g4) f | e2( d 4) f | g2 bes | a1 |
	a2 g4 f | g4.( a8) f4 e | 
	\partial 4* 3 d2.
	\repeat volta 2 {
	  \partial 4 r4 | R1 | R1 | r2 r4
	  f4 | a a a f | bes bes bes g | a f a c | a4.( g8 f4)
	  f | e c c g' | c c8 a8 f4 a | g g c c 
	}
	\alternative {
	  { \partial 4*3 a2. }
	  { a1 }
	}
	 
	\bar".|."
}

LyricRhythmA = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	%Insert code for Lilypond to use in lining up lyrics with the notes
	%Notes can be anything, but the rhythm should represent the time spent on each syllable in the lyrics
	
	R1*10 |
	r2. c4 | c c c c | c c c c | c c c c | c2.
	c4 | c c c c | c c c c | c c c c
	\partial 4*3 c2. | c1
}

StaffB = \relative c' {
	\clef G %Treble clef
	\key f \major %Key signature
	\time 4/4 %Time signature
	\sacredHarpHeads  
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
                   
	r2 c2 | f2( e4) d | c2( bes4) a | c2 f | f1 |
	f2 c4 f | e4.( f8) d4 cis 
	\partial 4*3 
	d2.
	\repeat volta 2 {
		\partial 4 r4 | R1 | r2 r4 
		c4 | f g f c | d d d c | f f f g | a1( | a1)
		g2 g4 g | g2( f) | e4 g g g
	}
	\alternative {
	  { \partial 4*3 g2. }
	  { g1 }
	}
 
	\bar".|."
}

LyricRhythmB = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	%Insert code for Lilypond to use in lining up lyrics with the notes
	%Notes can be anything, but the rhythm should represent the time spent on each syllable in the lyrics
	
	r2 c2 | c2. c4 | c2. c4 | c2 c2 | c1 |
	c2 c4 c4 | c2. c4 | c2. r4 | R1 | r2.
	c4 | c c c c | c c c c | c c c c | c1 | r1 |
	c2 c4 c4 | c1 | c4 c c c
	\partial 4*3 c2. | c1
}

StaffC = \relative c' {
	\clef G %Treble clef
	\key f \major %Key signature
	\time 4/4 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
                   
	r2 f2 | a2. bes4 | c2( d4) f | e2 d | c1 |
	a2 g4 f | c'4.( d8 c4) bes
	\partial 4*3 
	a2.
	\repeat volta 2 {
  	  \partial 4 
	  r4 | r2 r4 f4 | c' c g g | a g a8 bes c4 | f, a a c | d1( | c2.)
	  c4 | c a f a | g e c( g' ~ | g) g f a | c4.( bes8 a4) g
	}
	\alternative {
	  { \partial 4*3 f2. }
	  { f1 }
	}
	 
	\bar".|."
}

LyricRhythmC = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	%Insert code for Lilypond to use in lining up lyrics with the notes
	%Notes can be anything, but the rhythm should represent the time spent on each syllable in the lyrics
	R1*8 |
	R2. c4 | c c c c | c c c c | c c c c | c1 | r2.
	c4 | c c c c | c c c2 | r4 c4 c c | c2. c4
	\partial 4*3 c2. | c1	
}

StaffD = \relative c {
	\clef bass %Bass clef
	\key f \major %Key signature
	\time 4/4 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
                
	r2 f2 | f2. g4 | a2( g4) f | c2 d | f1 |
	f2 e4 f | c4.( bes8 a4) a
	\partial 4*3
	d2.
	\repeat volta 2 {
	  \partial 4
  	  f4 | d d d f | c c c c | e c' a f | d1( | bes | f') |
	  f2 a4 f | c c g' g | e c f d | c2. c4
	}
	\alternative {
	  { \partial 4*3 <f, f'>2.}
	  { <f f'>1 }
	}
	 
	\bar".|."
}

LyricRhythmD = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	%Insert code for Lilypond to use in lining up lyrics with the notes
	%Notes can be anything, but the rhythm should represent the time spent on each syllable in the lyrics
	
	R1*7 |
	R2. c4 | c c c c | c c c c | c c c c | c1 | r1 | r1 |
	c2 c4 c | c c c c | c c c c | c2. c4
	\partial 4*3 c2. | c1
		
}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>

			\context Devnull = LyrStaffA <<
				\context Voice = LyrStaffA \LyricRhythmA
			>>
			\new Lyrics \lyricsto LyrStaffA \tempverseA
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-2

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
			\context Devnull = LyrStaffB <<
				\context Voice = LyrStaffB \LyricRhythmB
			>>
			\new Lyrics \lyricsto LyrStaffB \tempverseB

			\context Staff = cStaffCA <<
				\context Voice = cStaffCA \StaffC
			>>
			\context Devnull = LyrStaffC <<
				\context Voice = LyrStaffC \LyricRhythmC
			>>
			\new Lyrics \lyricsto LyrStaffC \tempverseA

			\context Staff = cStaffDA <<
				\context Voice = cStaffDA \StaffD
			>>
			\context Devnull = LyrStaffD <<
				\context Voice = LyrStaffD \LyricRhythmD
			>>
			\new Lyrics \lyricsto LyrStaffD \tempverseA
		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
