
\version "2.12.3"

#(set-global-staff-size 19) %Sets the distance (in points) from the top line to the bottom line of a single staff 

flat = \markup { \raise #0.4 \smaller \musicglyph #"accidentals--2" }
sharp = \markup { \raise #0.6 \smaller \musicglyph #"accidentals-2" }
textcodaysym = \markup { \hspace #1 \raise #1.1 \musicglyph #"scripts-coda"}

\paper {
	system-count = #1 %Suggests to Lilypond how many braces to use for this piece.
}


\header {
	title = "Creation.  L.M. " %Tune name and hymn meter
	poet = \markup { "G Major   Joseph Addison, 1712." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverseA = \lyricmode {
%	\set stanza = "1."
%	Ye flow -- ’ry plains, pro -- claim His skill;
%	Val -- leys lie low be -- fore His eye;
%	And let His praise from ev -- ’ry hill
%	Rise tune -- ful to the neigh -- b’ring sky.

}

tempverseB = \lyricmode {
%	\set stanza = "1."
	The spa -- cious firm -- a -- ment on high,
	With all the blue e -- the -- real sky,
	And span -- gled heav'ns a shi -- ning frame,
	Their great o -- ri -- gi -- nal pro -- claim.
}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key g \major %Key signature
	\time 3/4 %Time signature
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	                   
	\partial 4 <d g,> | b2 a8. g16 | fis2 g4 | d'2 b8 g8 | a2
	b4 | g4( c8 b) a4 | g2 g4 | g( b) c8 e | d2
	d4 | d2 c4 | b2 g4 | b( a) g | b2
	d4 | b8.( c16 d4) a | g8.( a16 b4) b8 d | c4( b) a 
	\partial 4*2 b2
	 
	\bar".|."
}

LyricRhythm = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	
	\partial 4 c4 | c2 c4 | c2 c4 | c2 c4 | c2
	c4 | c2 c4 | c2 c4 | c2 c4 | c2
	c4 | c2 c4 | c2 c4 | c2 c4 | c2
	c4 | c2 c4 | c2 c4 | c2 c4 
	\partial 4*2 c2
}

StaffB = \relative c' {
	\clef G %Treble clef
	\key g \major %Key signature
	\time 3/4 %Time signature
	\sacredHarpHeads  
	                   
	\partial 4 d4 | g2 fis8. g16 | a2 g4 | d8.( e16 fis4) g | fis2
	g4 | b( a8. g16) fis8 a | b2 g4 | g8.[ a16 b8 a] a b | a2
	b4 | b4( g) e8 c | d2 e4 | d2 g4 | g2
	g4 | b8.( c16 b4) a | g2 d4 | e2 fis4
	\partial 4*2 g2
	 
	\bar".|."
}

StaffC = \relative c'' {
	\clef G %Treble clef
	\key g \major %Key signature
	\time 3/4 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	                   
	\partial 4 g4 | g2 a4 | a2 b4 | b( a) g | d'2
	d4 | b( c) d | e2 d4 | e( d) c8 b | a2
	b4 | d8.( c16 b4) a | g2 g'4 | g( fis) e | d2
	b4 | d8.( c16 b4) c | b8.( a16 g4) b8[ g] | a4( g) fis 
	\partial 4*2 g2
	\bar".|."
}

StaffD = \relative c {
	\clef bass %Bass clef
	\key g \major %Key signature
	\time 3/4 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	                   
	\partial 4 g'4 | e2 fis4 | d2 g4 | g( fis) e | d2
	g4 | g( a) d, | g2 g4 | c( b) a8[ g] | d2
	g4 | g2 a4 | b2 g4 | g( d) e8.[ fis16] | g2
	g4 | g8.( a16 g4) a | b8.( c16 d4) g, | c,2 d4 
	\partial 4*2 <g g,>2
	 
	\bar".|."
}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>

			\context Devnull = LyrStaff <<
				\context Voice = LyrStaff \LyricRhythm
			>>
%			\new Lyrics \lyricsto LyrStaff \tempverseA
%				\override Score.PaperColumn #'keep-inside-line = ##t

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
			\new Lyrics \lyricsto LyrStaff \tempverseB
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-2

			\context Staff = cStaffCA <<
				\context Voice = cStaffCA \StaffC
			>>
%			\new Lyrics \lyricsto LyrStaff \tempverseB

			\context Staff = cStaffDA <<
				\context Voice = cStaffDA \StaffD
			>>
%			\new Lyrics \lyricsto LyrStaff \tempverseE
		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
