
\version "2.12.3"
\include "..\SHRepeats.ly"

#(set-global-staff-size 19) %Sets the distance (in points) from the top line to the bottom line of a single staff 

flat = \markup { \raise #0.4 \smaller \musicglyph #"accidentals--2" }
sharp = \markup { \raise #0.6 \smaller \musicglyph #"accidentals-2" }
textcodaysym = \markup { \hspace #1 \raise #1.1 \musicglyph #"scripts-coda"}

\paper {
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
}


\header {
	title = "Hallowell.  C.M. " %Tune name and hymn meter
	poet = \markup { "G Major   Isaac Watts, 1719." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverseMain = \lyricmode {
%	\set stanza = "1."
	O let thy God and King,
	Thy swee -- test tho'ts em -- ploy;
	Thy chil -- dren shall his ho -- nours sing,
	In pa -- la -- ces of joy.
	Thy chil -- dren shall his ho -- nours sing,
	In pa -- la -- ces of joy. joy.
}

tempverseChorus = \lyricmode {
%	\set stanza = "1."
	Thy chil -- dren shall his ho -- nours sing,
	In pa -- la -- ces of joy.
	Thy chil -- dren shall his ho -- nours sing,
	In pa -- la -- ces of joy. joy.

}

tempverseChorusL = \lyricmode {
%	\set stanza = "1."
	Thy chil -- dren shall his ho -- nours sing,
	In pa -- la -- ces of joy.
	Thy chil -- dren shall his ho -- nours sing,
	In pa -- la -- ces of joy,
	In pa -- la -- ces of joy. joy

}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key g \major %Key signature
	\time 6/4 %Time signature
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	                   
	r2. b2. | b4( g) b c( a) fis | g2( b4 ~ b2) d4 | e2 e4 d2 b4 
	\partial 4*5 g2.( fis2)
	\repeat volta 2 {
		\partial 4 r4
		r1. | r2 r4 r2 g4 | d'2 d4 d2 b4 | c2 c4 c( b) 
		a4 | a2 a4 a2 g4 | c2.( c2)
		a4 | d2 b4 g( b) d | e2 e4 e2
		d4 | g,2 g4 g2 a4 | b2.( a2)
		g4 | b2 d4 c2 c4
	}
	\alternative {
		{\partial 4*5 b2. ~ b2}
		{b2. ~ b2.}
	}
	 
	\bar".|."
}

LyricRhythmA = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	
	r1. | r1. | r1. | r1. | r1. | r1. | r2. r2
	c4 | c2 c4 c2 c4 | c2 c4 c2
	c4 | c2 c4 c2 c4 | c2. r2
	c4 | c2 c4 c2 c4 | c2 c4 c2
	c4 | c2 c4 c2 c4 | c2. r2
	c4 | c2 c4 c2 c4
	\partial 4*5 c2. r2 |
	c2. r2.
}

StaffB = \relative c' {
	\clef G %Treble clef
	\key g \major %Key signature
	\time 6/4 %Time signature
	\sacredHarpHeads  
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2. 
	d2. | d2 d4 e2 fis4 | g2. ~ g2
	d4 | e2 e4 fis2 g4 
	\partial 4*5 d2. ~ d2
	\repeat volta 2 {
		\partial 4 r4 | r2 r4 r2
		d4 | e2 e4 e2 e4 | g2 g4 g2 % first full bar is e2 e4 e2 fis4 in original
		d4 | e2 e4 e2 e4 | fis2.( fis4 e fis | g2. a4 g a | b2. ~ b2) r4 | % first full bar is e2 e4 e2 g4 in original
		r2 r4 r2 g4 | b2 g4 c4( b4) a4 | g2 d4 e2
		fis4 | g2 d4 e2 a4
	}
	\alternative {
		{ \partial 4*5 g2. ~ g2 }
		{ g2. ~ g2. }
	}
	\bar".|."
}

LyricRhythmB = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	
	r2. c2. | c2 c4 c2 c4 | c2. r2
	c4 | c2 c4 c2 c4 | c2. r2
	r4 | r2. r2
	c4 | c2 c4 c2 c4 | c2 c4 c2
	c4 | c2 c4 c2 c4 | c2. r2. | r2. r2. | r2. r2. |
	r2. r2 c4 | c2 c4 c2 c4 | c2 c4 c2
	c4 | c2 c4 c2 c4 
	\partial 4*5 c2. r2 |
	c2. r2.
}

StaffC = \relative c'' {
	\clef G %Treble clef
	\key g \major %Key signature
	\time 6/4 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	
	r2. g2. | g8( b4.) g4 a8( c4.) a4 | b8( d4. ~ d2.)
	b4 | c2 c4 b2 g4
	\partial 4*5 b2.( a2)
	\repeat volta 2 {
		\partial 4 g4 | d'2 d4 d2 b4 | c2 c4 c2
		a4 | b2 b4 b2 g4 | a2.( a4 g a | d2. ~ d2)
		b4 | e2 e4 e( d) c | d2 d4 d( c) 
		b4 | c2 e4 c( b) b | b2.( c4 d e | d2. c2) % pick-up is c4 in original 
		b4 | b2 g4 e( a) fis % pick-up is c4 in original
	}
	\alternative {
		{ \partial 4*5 g2. ~ g2 }
		{ g2. ~ g2. }
	}
	\bar".|."
}

LyricRhythmC = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	
	r1. | r1. | r1. | r1. | r2. r2
	c4 | c2 c4 c2 c4 | c2 c4 c2
	c4 | c2 c4 c2 c4 | c2. r2. | r2. r2
	c4 | c2 c4 c2 c4 | c2 c4 c2
	c4 | c2 c4 c2 c4 | c2. r2. | r2. r2
	c4 | c2 c4 c2 c4
	\partial 4*5 c2. r2 |
	c2. r2.
}

StaffD = \relative c {
	\clef bass %Bass clef
	\key g \major %Key signature
	\time 6/4 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	 
	r2. g'2. | g2 b4 a2 d,4 | g2. ~ g2
	b4 | a2 g4 fis2 e4 
	\partial 4*5 d2. ~ d2
	\repeat volta 2 {
		\partial 4 g4 | b2 b4 b2 b4 | a2 a4 a2
		a4 | g2 g4 g( a) b | a2.( ~ a2. | d,2. ~ d2)
		b4 | c2 c4 c2 c4 | b2 b4 b2
		b4 | a2 a4 a2 g4 | e'2.( c2. | g'2. a2)
		b4 | g2 e4 e( c) d
	}
	\alternative {
		{ \partial 4*5 <g g,>2. ~ <g g,>2 }
		{ <g g,>2. ~ <g g,>2. }
	}
	\bar".|."
}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>
			\context Devnull = LyrStaffA <<
				\context Voice = LyrStaffA \LyricRhythmA
			>>
			\new Lyrics \lyricsto LyrStaffA \tempverseChorusL
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-1

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
			\context Devnull = LyrStaffB <<
				\context Voice = LyrStaffB \LyricRhythmB
			>>
			\new Lyrics \lyricsto LyrStaffB \tempverseMain

			\context Staff = cStaffCA <<
				\context Voice = cStaffCA \StaffC
			>>
			\context Devnull = LyrStaffC <<
				\context Voice = LyrStaffC \LyricRhythmC
			>>
			\new Lyrics \lyricsto LyrStaffC \tempverseChorusL

			\context Staff = cStaffDA <<
				\context Voice = cStaffDA \StaffD
			>>
%			\context Devnull = LyrStaffD <<
%				\context Voice = LyrStaffD \LyricRhythmD
%			>>
%			\new Lyrics \lyricsto LyrStaffD \tempverseChorusL
		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
