
\version "2.12.3"
\include "..\SHRepeats.ly"

#(set-global-staff-size 19) %Sets the distance (in points) from the top line to the bottom line of a single staff 

flat = \markup { \raise #0.4 \smaller \musicglyph #"accidentals--2" }
sharp = \markup { \raise #0.6 \smaller \musicglyph #"accidentals-2" }
textcodaysym = \markup { \hspace #1 \raise #1.1 \musicglyph #"scripts-coda"}

\paper {
	system-count = #3 %Suggests to Lilypond how many braces to use for this piece.
}


\header {
	title = "Advent.  C.M. " %Tune name and hymn meter
	poet = \markup { "C Major   Thomas Sternhold." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverseMain = \lyricmode {
%	\set stanza = "1."
	The Lord de -- scen -- ded from a -- bove,
	And bow'd the heav'ns most high;
	And un -- der -- neath his feet he cast
	The dark -- ness of the sky.
	On Che -- rubs and on Che -- ru -- bims
	full ro -- yal -- ly he rode.
	And on the wings of migh -- ty wind
	came fly -- ing, fly -- ing, fly -- ing all a -- broad. -broad.
}

tempverseChorus = \lyricmode {
%	\set stanza = "1."
	On Che -- rubs and on Che -- ru -- bims
	full ro -- yal -- ly he rode.
}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key c \major %Key signature
	\time 4/4 %Time signature
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	                   
	r2 c2 | e2. d4 | c d c g | a2.
	g4 | c2( b4) g | c2 b | c1 |
	e2 g,4 d'4 | b2. g4 | c2( b4) c8[ d] | e2.
	d4 | c2( \times 2/3 { c4 d e } | d2.) c4 | a2 gis | a1 % should 2d bar 4th beat be b?
	\partial 4*3 r2.
	\repeat volta 2 {
		\partial 4 e'4 | c c c d | e e e d | g g g e | f1( | e1) |
		c2 b4 a | a2. d4 | c2-| a-| | g2.-| % first bar was "c2 b4 c" in original
		g4 | c4.( b8 c4. d8 | e2) e4 r4 |
		c4( b8[ a] g4 a8[ b] | c2) c4 r4 |
		e4.( d8 c8.[ b16 c8 d8] | e2.) d4 | c2 b2
	}
	\alternative {
		{ \partial 4*3 c2. }
		{ c1 }
	}
	 
	\bar".|."
}

LyricRhythmA = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	
	R1*15 | r2.
	c4 | c c c c | c c c c | c c c c | c1
}

StaffB = \relative c' {
	\clef G %Treble clef
	\key c \major %Key signature
	\time 4/4 %Time signature
	\sacredHarpHeads  
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 e2 | g2. g4 | e g a a8[ g] | f2. % original 3d bar is "e a a a8[ g]"
	g4 | a2. g4 | e2 g | g1 |
	e2 d4 f | e2. g4 | e2. e4 | g2.
	g4 | f2( g | a2.) e4 | f2 e2 | e1 % should 2d bar 4th beat be f ?
	\partial 4*3 r2.
	\repeat volta 2 {
		\partial 4 r4 | r2 r4
		g4 | c c c d | e e e c | d d d d | c1 |
		g2 d4 e | fis2. g4 | a2-| a-| | g2.-|
		g4 | f1( | g2) g4 r4 | % changed first full bar to f from e
		a1( | g2) g4 r4 |
		e2( g | e2.) a4 | g2 g 
	}
	\alternative {
		{ \partial 4*3 e2. }
		{ e1 }
	}
	\bar".|."
}

LyricRhythmB = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	
	r2 c2 | c2. c4 | c c c c | c2.
	c4 | c2. c4 | c2 c | c1 |
	c2 c4 c | c2. c4 | c2. c4 | c2.
	c4 | c1 | r2. c4 | c2 c | c1
	R1 | r2. c4 | c c c c | c c c c | c c c c | c1 |
	c2 c4 c | c2. c4 | c2 c | c2.
	c4 | c1 | r2 c4 r4 |
	c1 | r2 c4 r4 |
	c1 | r2. c4 | c2 c 
	\partial 4*3 c2. | c1
}

StaffC = \relative c'' {
	\clef G %Treble clef
	\key c \major %Key signature
	\time 4/4 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	
	r2 c2 | c2. d4 | c b a g | d'2.
	c4 | a2( g4) a8[ b] | c2 d | e1 |
	c2 b4 a | a( gis2) a4 | a2( g4) a | b2.
	c4 | a1( | a2.) b4 | c2 b | a1 |
	\partial 4*3 r2.
	\repeat volta 2 {
		\expandFullBarRests
		\partial 4 r4 | R1*5 |
		e'2 d4 cis | d2. b4 | c2-| c-| | c2.-|
		e,4 | f4.( g8 a4. b8 | c2) c4 r4 |
		a4.( b8 c4. d8 | e2) e4 r4 |
		c4.( d8 c8.[ d16 e8 f8--] | g2.) f4 | e2 d
	}
	\alternative {
		{ \partial 4*3 c2. }
		{ c1 }
	}
	\bar".|."
}

LyricRhythmC = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	
}

StaffD = \relative c {
	\clef bass %Bass clef
	\key c \major %Key signature
	\time 4/4 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	 
	r2 c2 | c'2. b4 | a g f e | d2.
	e4 | f2( e4) g | a2 g | <c c,>1 |
	c,2 d4 d | e2. e4 | a2( b4) a | e2.
	e4 | f2( e | d2.) d4 | e2 e | a,1
	\partial 4*3 r2.
	\repeat volta 2 {
		\expandFullBarRests
		\partial 4 r4 | R1*5 |
		c2 f4 a | d,2. c4 | f2-| f-| | c2.-|
		g'4 | a4.( g8 f4 g8[ f] | e2) e4 r4 |
		f2( e4 d | c2) c4 r4 |
		a'2( g | <c c,>2.) e,4 | g2 g,
	}
	\alternative {
		{ \partial 4*3 c2. }
		{ c1 }
	}
	\bar".|."
}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>
			\context Devnull = LyrStaffA <<
				\context Voice = LyrStaffA \LyricRhythmA
			>>
			\new Lyrics \lyricsto LyrStaffA \tempverseChorus
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-1

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
			\context Devnull = LyrStaffB <<
				\context Voice = LyrStaffB \LyricRhythmB
			>>
			\new Lyrics \lyricsto LyrStaffB \tempverseMain

			\context Staff = cStaffCA <<
				\context Voice = cStaffCA \StaffC
			>>
%			\context Devnull = LyrStaffC <<
%				\context Voice = LyrStaffC \LyricRhythmC
%			>>
%			\new Lyrics \lyricsto LyrStaffC \tempverseChorusL

			\context Staff = cStaffDA <<
				\context Voice = cStaffDA \StaffD
			>>
%			\context Devnull = LyrStaffD <<
%				\context Voice = LyrStaffD \LyricRhythmD
%			>>
%			\new Lyrics \lyricsto LyrStaffD \tempverseChorusL
		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
