
\version "2.12.3"
\include "..\SHRepeats.ly"

%#(set-global-staff-size 19) %Sets the distance (in points) from the top line to the bottom line of a single staff 

flat = \markup { \raise #0.4 \smaller \musicglyph #"accidentals--2" }
sharp = \markup { \raise #0.6 \smaller \musicglyph #"accidentals-2" }
textcodaysym = \markup { \hspace #1 \raise #1.1 \musicglyph #"scripts-coda"}

\paper {
	system-count = #3 %Suggests to Lilypond how many braces to use for this piece.
}

roundNote   = {
\once \override NoteHead #'stencil = #ly:text-interface::print
\once \override NoteHead #'text = #(markup #:musicglyph "noteheads.s2" )
}

\header {
	title = "The Dawn.  L.M. " %Tune name and hymn meter
	poet = \markup { "A Major   Ralph Erskine, 1726." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverseTreble = \lyricmode {  
	Au -- ro -- ra veils her ro -- sy face,
	When brigh -- ter Phoe -- bus takes her place,
	So glad will grace re -- sign her room
	To glo -- ry in the heav'n -- ly home.
	So glad will grace re -- sign her room,
	To glo -- ry, to glo -- ry,
	in the heav'n -- ly home. home.
}

tempverseAlto = \lyricmode {
%	\set stanza = "1."
	To glo -- ry, to glo -- ry, glo -- ry, glo -- ry
}

tempverseLead = \lyricmode { 
	Au -- ro -- ra veils her ro -- sy face,
	When brigh -- ter Phoe -- bus takes her place,
	So glad will grace re -- sign her room
	To glo -- ry in the heav'n -- ly home.
	So glad will grace re -- sign her room,
	To glo -- ry, to glo -- ry,
	in the heav'n -- ly home. home.
}

tempverseBass = \lyricmode { 
	To glo -- ry, to glo -- ry, to glo -- ry,
	glo -- ry, glo -- ry,
}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key a \major %Key signature
	\time 3/4 %Time signature
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	                   
	cis2 e8.( d16 | cis2) e4 | e8.( d16 cis4) e | d( cis) b8 a | 
	\roundNote \grace a4 gis2 r4
	b8[ cis] d[ cis] b[ a] | e'2 e8. d16 | cis4( d8 cis) b4 | cis2 r4
	a4 e' e8 d | cis2 e4 | b16([ a b cis] d8[ cis]) cis b | a4( gis)
	b4 | e8.( d16 cis4) e | \times 2/3 { b8( cis d } cis4) a4 | d( cis) b | cis2.
	\numericTimeSignature
	\time 2/4
	\partial 4 r4
	\repeat volta 2 {
		\autoBeamOff
		\expandFullBarRests
		\partial 4 cis4 | e8 e fis e | d[ cis] b4 | a2 |
		R2*4 | r4 r8 b8 | gis e4 r8 |
		R2 | r4 r8 b'8 | cis8.([ d16] cis[ d e cis] | d8.[ e16] d[ cis d b] | e4) cis |
		cis8 e d[ cis] | b2
	}
	\alternative {
		{ \partial 4 <cis a>4 }
		{ <cis a>2 }
	}
	 
	\bar".|."
}

LyricRhythmA = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 3/4
	c2 c4 | r2 c4 | c2 c4 | c2 c4 | c2 r4 |
	c4 c c | c2 c4 | c2 c4 | c2 r4 |
	c4 c c | c2 c4 | c2 c4 | c2
	c4 | c2 c4 | c2 c4 | c2 c4 | c2.
	\time 2/4
	r4 c4 | c8 c c c | c4 c | c2 |
	R2*4 | 
	r4. c8 | c8 c4 r8 | r2 | r4. c8 | c2 | r2 | r4 c4 |
	c8 c c4 | c2
	\partial 4 c4 | c2

}

StaffB = \relative c' {
	\clef G %Treble clef
	\key a \major %Key signature
	\time 3/4 %Time signature
	\sacredHarpHeads  
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	e2 e4( | a2) gis4 | e2 cis4 | fis2 <a fis>4 | <b e,>2 r4 |
	\autoBeamOn
	b8[ a] gis[ fis] e[ a] | gis2 e4 | fis2 e4 | e2 r4 |
	a4 a a | a2 <a e>4 | fis2 <a e>4 | <b e,>2
	e,4 | cis8.( d16 e4) e | fis2 a4 | a( gis) <gis e> | <a e>2.
	\numericTimeSignature
	\time 2/4
	\partial 4 r4
	\repeat volta 2 {
		\autoBeamOff
		\expandFullBarRests
		\partial 4 a4 | cis8 cis d cis | b[ a] e4 | cis2 |
		R2*5 | r4 r8 e8 | cis a4 r8 |
		r4 r8 e'8 | e4 e8 r8 | fis4 fis8 r8 | a4 a8 r8 |
		<a e> <gis e> fis4 | gis2
	}
	\alternative {
		{ \partial 4 a4 }
		{ a2 }
	}
	\bar".|."
}

LyricRhythmB = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 3/4
	R1*17*3/4
	\time 2/2
	R2*9 | r4.
	c8 | c c4 r8 | r4.
	c8 | c4 c8 r8 | c4 c8 r8 | c4 c8 r8 |
}

StaffC = \relative c'' {
	\clef G %Treble clef
	\key a \major %Key signature
	\time 3/4 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\autoBeamOn
	
	a2 \times 2/3 { gis8( a b } | a2) b4 | \times 2/3 { b8( cis d } cis4) a | b4( cis) e8 cis | 
	\roundNote \grace { \stemDown cis4 } b2 r4 |
	d8[ cis] b[ a] gis[ fis] | e2 fis8 gis | a4( b8 a) gis4 | a2 r4 |
	cis4 cis cis8 d | e2 cis4 | b16( cis d e fis8[ e]) d[ cis] | cis4( b) 
	\times 2/3 { b8 cis d} | cis8.( b16 a4) e' | d( cis) cis | b( a) gis | a2.
	\numericTimeSignature
	\time 2/4
	\partial 4 r4
	\repeat volta 2 {
		\autoBeamOff
		\expandFullBarRests
		\partial 4 r4 | R2*2 |
		cis4 e8 e | fis e d[ cis] | b2 | a4. e'8 | cis a4 r8 |
		R2*3 | r4 r8 e8 | a8.([ b16] a[ b cis a] | b8.[ cis16] b[ cis d b] | a8[ e']) e4 |
		cis8 b a4 | gis2 
	}
	\alternative {
		{ \partial 4 a4 }
		{ a2 }
	}
	\bar".|."
}

LyricRhythmC = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 3/4
	c2 c4 | r2 c4 | c2 c4 | c2 c4 | c2 r4 |
	c4 c c | c2 c4 | c2 c4 | c2 r4 |
	c4 c c | c2 c4 | c2 c4 | c2
	c4 | c2 c4 | c2 c4 | c2 c4 | c2.
	\time 2/4
	R2*3 | c4 c8 c8 | c8 c8 c4 | c2 | c4. c8 | c8 c4 r8 |
	R2*3 | r4. c8 | c2 | r2 | r4 c4 |
	c8 c c4 | c2
	\partial 4 c4 | c2
}

StaffD = \relative c {
	\clef bass %Bass clef
	\key a \major %Key signature
	\time 3/4 %Time signature
	\sacredHarpHeads % or use \aikenHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\autoBeamOn
 
	a'2 e4( | fis2) e4 | e( a) cis | b( a) d, | e2 r4 |
	e4 e8[ fis] gis[ a] | b2 a8 gis | fis4( d) e | a,2 r4 |
	a'4 a a | a2 a4 | b2 a4 | e2
	e4 | a8.( b16 cis4) a | b( a) fis | d( e) e | a,2.
	\numericTimeSignature
	\time 2/4
	\partial 4 r4
	\repeat volta 2 {
		\autoBeamOff
		\expandFullBarRests
		\partial 4 r4 | R2*2 |
		a'4 cis8 cis | d cis b[ a] | e2 | a, |
		r4 r8 e'8 | cis a4 r8 | R2 |
		r4 r8 e'8 | cis a4 e'8 | <a a,>4 <a a,>8 r8 |
		d,4 d8 r8 | <a a'>4 <a a'>8 r8 | <a a'>8 e' d[ fis] | e2
	}
	\alternative {
		{ \partial 4 a,4 }
		{ a2 }
	}
	\bar".|."
}

LyricRhythmD = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 3/4
	R1*17*3/4
	\time 2/4
	R2*7 | r4. c8 | c c4 r8 |
	R2 | r4. c8 | c8 c4 c8 | c4 c8 r8 | c4 c8 r8 | c4 c8 r8 
}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>
			\context Devnull = LyrStaffA <<
				\context Voice = LyrStaffA \LyricRhythmA
			>>
			\new Lyrics \lyricsto LyrStaffA \tempverseTreble
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-1

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
			\context Devnull = LyrStaffB <<
				\context Voice = LyrStaffB \LyricRhythmB
			>>
			\new Lyrics \lyricsto LyrStaffB \tempverseAlto

			\context Staff = cStaffCA <<
				\context Voice = cStaffCA \StaffC
			>>
			\context Devnull = LyrStaffC <<
				\context Voice = LyrStaffC \LyricRhythmC
			>>
			\new Lyrics \lyricsto LyrStaffC \tempverseLead

			\context Staff = cStaffDA <<
				\context Voice = cStaffDA \StaffD
			>>
			\context Devnull = LyrStaffD <<
				\context Voice = LyrStaffD \LyricRhythmD
			>>
			\new Lyrics \lyricsto LyrStaffD \tempverseBass
		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 92 4) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
