
\version "2.12.3"
\include "..\SHRepeats.ly"

%#(set-global-staff-size 19) %Sets the distance (in points) from the top line to the bottom line of a single staff 

flat = \markup { \raise #0.4 \smaller \musicglyph #"accidentals--2" }
sharp = \markup { \raise #0.6 \smaller \musicglyph #"accidentals-2" }
textcodaysym = \markup { \hspace #1 \raise #1.1 \musicglyph #"scripts-coda"}

\paper {
	system-count = #4 %Suggests to Lilypond how many braces to use for this piece.
}

\header {
	title = "Appearance.  L.M. " %Tune name and hymn meter
	poet = \markup { "C Major   Dyer, 1767" } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverseTreble = \lyricmode {  
	The voice of my be -- lo -- ved sounds,
	O -- ver the rocks and ri -- sing grounds;
	O'er hills of guilt and seas of grief,
	He leaps, he flies to my re -- lief.
	Now thro' the veil of flesh I see,
	With eyes of love he looks at me,
	With eyes of love he looks at me,
	Now in the gos -- pel's clear -- est glass,
	He shows the beau -- ties of his face,
	the beau -- ties, the beau -- ties, 
	the beau -- ties of his face.
}

tempverseAlto = \lyricmode {
%	\set stanza = "1."
	Now thro' the veil of flesh I see,
	Now in the gos -- pel's clear -- est glass,
	He shows the beau -- ties of his face,
	the beau -- ties of his face.
}

tempverseLead = \lyricmode { 
	The voice of my be -- lo -- ved sounds,
	O -- ver the rocks and ri -- sing grounds;
	O'er hills of guilt and seas of grief,
	He leaps, he flies to my re -- lief.
	Now thro' the veil of flesh I see,
	With eyes of love he looks at me,
	With eyes of love he looks at me,
	Now in the gos -- pel's clear -- est glass,
	He shows the beau -- ties of his face,
	the beau -- ties, the beau -- ties, the beau -- ties, 
	the beau -- ties of his face.
}

tempverseBass = \lyricmode { 
	Now thro' the veil of flesh I see,
	Now in the gos -- pel's clear -- est glass,
	He shows the beau -- ties of his face,
	the beau -- ties, the beau -- ties, the beau -- ties,
	the beau -- ties of his face.
}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key c \major 
	\time 4/4 
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\expandFullBarRests
	                   
	r2 r4 c4 | g2. a4 | b2 c2 | d8([ c b a] g4) g | g1 | 
	e'4( d) c b | c( e) e( c) | b2 b | b1 |  %adjusted second quarter-note to D from C
	c4( e) e( c) | b( g) a2( | b) <e c> | g,8([ a b c] d4) e | d2. % adjusted final quarter-note to E from D
	c4 | e2. g4 | d8([ c b a] g4) b | c2 d | e1 | R1 |
	g,2 c4 c | b1 | b2 c4 d | e2. 
	c4 | d2 c | b2. d4 | c2 b | c2.
	a4 | a2 b4.( c8) | d2. c4 | b( a) b2 | c1 |
	\repeat volta 2 {
		R1*3 | r2 g2 | c4 e e c | b8[ c] d[ e] d4
		c4 | e g g e | d8[ c] b[ c] d4.
		g,8 | c4( e) e g | f8( e d c <b g>2) | <c e,>2.
		d4 | e8.([ d16 c8 b] c8.[ d16 c8 d] | e4. f8 e4) d | c2 <d b> | <e c>1
	}
	\bar "|."
}

LyricRhythmA = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	r2. c4 | c2. c4 | c2 c | c c | c1 |
	c2 c4 c | c2 c | c c | c1 |
	c2 c | c c | r2 c2 | c2. c4 | c2.
	c4 | c2. c4 | c2. c4 | c2 c | c1 |
	R1 | c2 c4 c4 | c1 | c2 c4 c | c2.
	c4 | c2 c | c2. c4 | c2 c | c2.
	c4 | c2 c | c2. c4 | c2 c | c1 |
	R1*3 | r2 c2 | c4 c c c | c c c 
	c4 | c c c c | c c c4.
	c8 | c2 c4 c | c1 | c2.
	c4 | c1 | r2. c4 | c2 c | c1
}

StaffB = \relative c' {
	\clef G %Treble clef
	\key c \major 
	\time 4/4 
	\sacredHarpHeads  
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\expandFullBarRests

	r2 r4 c4 | e2. c4 | g'2 e | g g | e1
	g2 g4 g | e2 e | g g | g1 |
	c,2 e | g a( | g) e | e4( d8 e f4) g | g2.
	g4 | c,2. e4 | a2. g4 | g2 g | g1 |
	R1 | g1 | g4 g g2 | g e4 d | g2.
	e4 | d2 e | g2. g4 | e2 g | g2.
	e4 | a2 d, | d2. d4 | g2 g | e1 |
	\repeat volta 2 {
		R1*2 | r2 e2 | g4 g g g | g e e
		g4 | g g g g | g e e2( | e4) r4 r2 | R1*4
		c2 e4 a | g2 g | e1
	}
	\bar "|."
}

LyricRhythmB = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	R1*19 | 
	c1 | c4 c c2 | c c4 c | c2. r4 |
	R1*10
	r2 c2 | c4 c c c | c c c 
	c4 | c c c c | c c c2 | R1*5 |
	c2 c4 c | c2 c | c1
}

StaffC = \relative c'' {
	\clef G %Treble clef
	\key c \major 
	\time 4/4 
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\autoBeamOn
	\expandFullBarRests
	
	r2 r4 g4 | c2. e4 | g,2 c2 | b8( c d e c4) b | c1 |
	c4( d) e d | e( g) c,2 | d d | d1 |
	e4( c) c2 | b4( d) d2 ~ | d c | e4( f8 e d4) c | b2.
	g4 | g'2. c,4 | f8( e d c b4) d | e2 d | c1 | R1 |
	c2 e4 e | d1 | d2 c4 b | c2.
	e4 | g,2 c | d2. b4 | c2 d | e2.
	c4 | a2 gis | a2. f'4 | e4( d8 c) d2 | c1 |
	\repeat volta 2 {
		\autoBeamOff
		R1 | r2 g2 | c4 e e c | b8[ c] d[ e] d4
		c4 | e g g e | d8[ c] b[ c] d4.
		g,8 | c4( e) e c | b8([ c d e] f4) d8 d |
		e4( g g e | d8[ c d e] d2) | c2.
		g4 | c8.([ b16 c8 d] e8.[ d16 e8 f] | g4. a8 g4) f | e2 d | c1 %adjusted final note to C from A
	}
	\bar "|."
}

LyricRhythmC = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	r2. c4 | c2. c4 | c2 c | c c | c1 |
	c2 c4 c | c2 c | c c | c1 |
	c2 c | c c | r2 c2 | c2. c4 | c2.
	c4 | c2. c4 | c2. c4 | c2 c | c1 |
	R1 | c2 c4 c4 | c1 | c2 c4 c | c2.
	c4 | c2 c | c2. c4 | c2 c | c2.
	c4 | c2 c | c2. c4 | c2 c | c1 |
	R1 | r2 c2 | c4 c c c | c c c
	c4 | c c c c | c c c4.
	c8 | c2 c4 c | c2. c8 c | c1 | r1 | c2.
	c4 | c1 | r2. c4 | c2 c | c1
}

StaffD = \relative c {
	\clef bass %Bass clef
	\key c \major 
	\time 4/4 
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\autoBeamOn
	\expandFullBarRests

	r2 r4 c4 | c2. c'4 | b2 a | g g | c,1 |
	c2 c4 g' | c2 a | g8([ a b c] d4) d, | g1 |
	c2 a | g f( | g) a | c4( d8[ c] b4) a | g2.
	c4 | c,2. c4 | d4.( e8 f4) g | c2 g | c,1 |
	R1 | c1 | g'4 g g2 | g a4 b | c2.
	c4 | b2 a | g2. g4 | a2 g | c,2.
	e4 | f2 e | d2. d4 | e2 g | c,1 |
	\repeat volta 2 {
		r2 c2 | e4 g g e | c' a a c | d g, g c | c, c c4.
		c8 | g'2 g4. g8 | c2 c |
		R1*3 | r2 r4 g4 | c,2 c4.
		c8 | c8.([ d16 c8 f] g4) b | c2 g | c,1
	}
	\bar "|."
}

LyricRhythmD = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	R1*19 | 
	c1 | c4 c c2 | c c4 c | c2. r4 |
	R1*8 |
	r2 c2 | c4 c c c | c c c
	c4 | c c c c | c c c4. 
	c8 | c2 c4. c8 | c2 c |
	R1*3 | r2. c4 | c2 c4. c8 | c2. c4 | c2 c | c1
}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>
			\context Devnull = LyrStaffA <<
				\context Voice = LyrStaffA \LyricRhythmA
			>>
			\new Lyrics \lyricsto LyrStaffA \tempverseTreble
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-1

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
			\context Devnull = LyrStaffB <<
				\context Voice = LyrStaffB \LyricRhythmB
			>>
			\new Lyrics \lyricsto LyrStaffB \tempverseAlto

			\context Staff = cStaffCA <<
				\context Voice = cStaffCA \StaffC
			>>
			\context Devnull = LyrStaffC <<
				\context Voice = LyrStaffC \LyricRhythmC
			>>
			\new Lyrics \lyricsto LyrStaffC \tempverseLead

			\context Staff = cStaffDA <<
				\context Voice = cStaffDA \StaffD
			>>
			\context Devnull = LyrStaffD <<
				\context Voice = LyrStaffD \LyricRhythmD
			>>
			\new Lyrics \lyricsto LyrStaffD \tempverseBass
		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 92 4) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
