
\version "2.12.3"
\include "..\SHRepeats.ly"

#(set-global-staff-size 19) %Sets the distance (in points) from the top line to the bottom line of a single staff 

flat = \markup { \raise #0.4 \smaller \musicglyph #"accidentals--2" }
sharp = \markup { \raise #0.6 \smaller \musicglyph #"accidentals-2" }
textcodaysym = \markup { \hspace #1 \raise #1.1 \musicglyph #"scripts-coda"}

%\paper {
%	system-count = #5 %Suggests to Lilypond how many braces to use for this piece.
%}

\header {
	title = "Invitation.  L.M. " %Tune name and hymn meter
	poet = \markup { "G Major   " } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverseTreble = \lyricmode {  
	Child of the sum -- mer, char -- ming rose,
	No lon -- ger in con -- fine -- ment lie;
	A -- rise! to light thy form dis -- close,
	Ri -- val the span -- gles of the sky,
	Ri -- val the span -- gles, the span -- gles of the sky.
	
	The rains are gone, the storms are o'er,
	Win -- ter re -- tires to make the way,
	Come then thou sweet -- ly blush -- ing flow'r,
	Come love -- ly stran -- ger come a -- way.
	
	The sun is dress'd in beam -- ing smiles,
	To give thy beau -- ties to the day,
	Young ze -- phyrs wait with gent -- lest gales,
	To fan thy bo -- som, fan thy bo -- som,
	To fan thy bo -- som as they play,
	To fan thy bo -- som as they play.
}

tempverseLead = \lyricmode {
%	\set stanza = "1."
	Child of the sum -- mer, char -- ming rose,
	No lon -- ger in con -- fine -- ment lie;
	A -- rise! to light thy form dis -- close,
	Ri -- val the span -- gles of the sky,
	Ri -- val the span -- gles of the sky.
	
	The rains are gone, the storms are o'er,
	Win -- ter re -- tires to make the way,
	Come then thou sweet -- ly blush -- ing flow'r,
	Come love -- ly stran -- ger come a -- way.
	
	The sun is dress'd in beam -- ing smiles,
	To give thy beau -- ties to the day,
	Young ze -- phyrs wait with gent -- lest gales,
	To fan thy bo -- som, fan thy bo -- som,
	To fan thy bo -- som as they play,
	To fan thy bo -- som as they play.
}

tempverseBass = \lyricmode { 
	Ri -- val the span -- gles of the sky.
}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key g \major 
	\time 4/4 
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\expandFullBarRests
	\autoBeamOff
	                   
	\partial 4 g4 | 
	g8[ b] b[ d] d4 b16[ g b d] | d8[ e16 d c8] b b4( a) |
	r2 d4 c8 b | e4 d d8[ c] c[ b] | b4( a) r4 r8
	g8^"Vivace." | d'4 c b4. g8 | fis16[ g a b c8] b8 b4( a) |
	\partial 4 r4
	\repeat volta 2 {
		\partial 4*3
		c8 c16 c b 8 b a a | d4 e8 e16 e d8 d16 d e([ d e fis] | g8) c, b4 a2 
		\partial 4*3 g2.
	}
	\partial 4 r4
	\time 6/4
	r2 r4 r2 g4 | b2 a4 g2 d'4 | e2 e4 d2. |
	c4. d8 c4 b2 g4 | fis8( a4.) a4 a2. ~ | a2
	g4 d'2 c4 | b2 g4 e'2 e4 | d2
	b4 g2 e'4 | d( b) g b2 a4 | g2. ~ g |
	\time 4/4
	r2 r4 r8 g8 | g[ b] b[ a] a4( g8) g | b[ d] d[ c] c4( b8)
	g8 | g[ b] b[ a] a4( g8) g8 | b[ d] d[ c] b4. r8 |
	d,4 c'8 c b4( a | g4.) g8 fis16^"Piano."[ g a b c8] b | b2( a4) r8
	d8 | e4 e d d8 r8 | c4 c b b8 r8 | r2 r4 r8 
	d8 | b16^"Pianissimo."[ g b d g8] fis e4 d | b a g8([ a16 b c d e fis] | g4 r2 r8
	d8 | e4 d8[ b] g[ e'] d[ c] | b2 a | g1
	\bar ".|."
}

LyricRhythmA = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	
	\partial 4 c4 | 
	c c c c | c4. c8 c2 | r2
	c4 c8 c | c4 c c c | c2 r4.
	c8 | c4 c c4. c8 | c4. c8 c2 | r4
	c8 c16 c c8 c c c | c4 c8 c16 c c8 c16 c c4 | r8 c8 c4 c2 | c2. r4 |
	\time 6/4
	r2. r2 c4 | c2 c4 c2 c4 | c2 c4 c2. |
	c4. c8 c4 c2 c4 | c2 c4 c2. | r2
	c4 c2 c4 | c2 c4 c2 c4 | c2
	c4 c2 c4 | c2 c4 c2 c4 | c2. r2.
	\time 4/4 
	r2 r4. 
	c8 | c4 c c4. c8 | c4 c c4. 
	c8 | c4 c c4. c8 | c4 c c4. r8 |
	c4 c8 c c2 | r4. c8 c4. c8 | c2. r8
	c8 | c4 c c c8 r8 |
	c4 c c c8 r8 | r2 r4.
	c8 | c4. c8 c4 c | c c c2 | r2 r4.
	c8 | c4 c c c | c2 c | c1
}

StaffB = \relative c'' {
	\clef G %Treble clef
	\key g \major 
	\time 4/4 
	\sacredHarpHeads  
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\expandFullBarRests
	\autoBeamOff

	\partial 4 b4 | 
	b8[ d] g,[ b] b4 g16[ d g a] | b8[ c16 b a8] g g4( fis) | r2
	g4 a8 b | c4 b b8[ a] a[ g] | g4( fis) r4 r8
	g8 | b4 c d4. g,8 | a16[ b c b a8] g8 d'2 |
	\partial 4 r4
	\repeat volta 2 {
		\partial 4*3
		r4 r4 c8 c16 c | b8 b a a d4 c8 c16 c | b8 a g4 fis2 | 
		\partial 4*3 g2.
	}
	\partial 4 r4
	\time 6/4
	r2 r4 r2 g4 | d'2 c4 b2 b4 | c2 c4 b2. |
	a4. b8 a4 g2 b4 | d2 d4 d2. ~ | d2
	d4 b2 a4 | g2 b4 c2 c4 | b2
	g4 d'2 c4 | b4( g) b d2 d4 | b2. ~ b |
	\time 4/4
	r2 r4 r8 g8 | b[ d] d[ c] c4( b8) <b g> | g[ b] b[ a] a4( g8)
	g8 | b[ d] d[ c] c4( b8) b | g[ b] b[ a] g4. r8
	d4 c'8 c b4( a | g4.) g8 fis16[ g a b c8] b | b2( a4) r8
	g8 | c4 c b b8 r8 | a4 a d d8 r8 | r2 r4 r8 
	d8 | b16[ g b d e8] d c4 b | d c b r4 | r2 r4 r8
	g8 | c4 b a g | d'2 <fis c> | <g b,>1
	\bar ".|."
}

LyricRhythmB = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	
	\partial 4 c4 | 
	c c c c | c4. c8 c2 | r2
	c4 c8 c | c4 c c c | c2 r4.
	c8 | c4 c c4. c8 | c4. c8 c2 | r4
	r2 c8 c16 c | c8 c c c c4 c8 c16 c | c8 c c4 c2 | c2. r4
	\time 6/4
	r2. r2 c4 | c2 c4 c2 c4 | c2 c4 c2. |
	c4. c8 c4 c2 c4 | c2 c4 c2. | r2
	c4 c2 c4 | c2 c4 c2 c4 | c2
	c4 c2 c4 | c2 c4 c2 c4 | c2. r2.
	\time 4/4 
	r2 r4. 
	c8 | c4 c c4. c8 | c4 c c4. 
	c8 | c4 c c4. c8 | c4 c c4. r8 |
	c4 c8 c c2 | r4. c8 c4. c8 | c2. r8
	c8 | c4 c c c8 r8 |
	c4 c c c8 r8 | r2 r4.
	c8 | c4. c8 c4 c | c c c2 | r2 r4.
	c8 | c4 c c c | c2 c | c1
}

StaffC = \relative c {
	\clef bass
	\key g \major 
	\time 4/4 
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\expandFullBarRests
	
	\partial 4 g'4 | 
	e d b d | b d d2 | r2
	<b b'>4 <a a'>8 <g g'> | c4 d g c, | d2 r4 r8
	d8 | g4 a g4. a8 | <d d,>4 <a a,> d,2
	\partial 4 r4
	\repeat volta 2 {
		\partial 4*3
		r4 r2 | r4 c'8 c16 c  b4 a | g2 d |  
		\partial 4*3 <g b, g>2.
	}
	\partial 4 r4
	\time 6/4
	r2 r4 r2 g4 | g2 e'4 d2 b4 | e,2 e4 g2. |
	a4. b8 c4 d2 g,4 | d2 d4 d2. ~ | d2
	g4 g2 a4 | b( g) e c2 c4 | g'2
	g4 b( a) g | b,( c) d g2 d4 | g,2. ~ g |
	\time 4/4
	r2 r4 r8 g'8 | g4 g a r8 g8 | b,4 b c r8
	g'8 | d'4 b a r8 g8 | b,4 d g4. r8 |
	R1*2 | r2 r4 r8
	g8 | a4 a b b8 r8 | c4 <c a> g g8 r8 |
	r2 r4 r8 d8 | g4. a8 c4 d | g, d g2 ~ | g4 r2 r8
	g8 | a4 b c d | g,2 d | <g g,>1
	\bar ".|."
}

LyricRhythmC = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	\partial 4 r4 | 
	R1*8 | r4
	c8 c16 c c4 c | c2 c | c2.
}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>
			\context Devnull = LyrStaffA <<
				\context Voice = LyrStaffA \LyricRhythmA
			>>
			\new Lyrics \lyricsto LyrStaffA \tempverseTreble
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-1

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
			\context Devnull = LyrStaffB <<
				\context Voice = LyrStaffB \LyricRhythmB
			>>
			\new Lyrics \lyricsto LyrStaffB \tempverseLead

			\context Staff = cStaffCA <<
				\context Voice = cStaffCA \StaffC
			>>
			\context Devnull = LyrStaffC <<
				\context Voice = LyrStaffC \LyricRhythmC
			>>
			\new Lyrics \lyricsto LyrStaffC \tempverseBass
		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 92 4) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
