
\version "2.12.3"

#(set-global-staff-size 19) %Sets the distance (in points) from the top line to the bottom line of a single staff 

flat = \markup { \raise #0.4 \smaller \musicglyph #"accidentals--2" }
sharp = \markup { \raise #0.6 \smaller \musicglyph #"accidentals-2" }
textcodaysym = \markup { \hspace #1 \raise #1.1 \musicglyph #"scripts-coda"}

\paper {
	system-count = #1 %Suggests to Lilypond how many braces to use for this piece.
}


\header {
	title = "Chester.  L.M. " %Tune name and hymn meter
	poet = \markup { "G Minor   Isaac Watts, 1719." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverse = \lyricmode {
	How shall the young se -- cure their hearts,
	And guard their lives from sin?
	Thy word the choi -- cest rule im -- parts,
	To keep the con -- science clean.
}

LyricRhythm = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	
	a2 a4 a | a a a a | a1 |
	a2 a4 a | a2 a | a1 |
	a2 a4 a | a a a a | a1 |
	a2 a4 a | a2 a2 | a1
}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key a \minor 
	\time 4/4 
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	                   
	a2 a4 b | c c b a | gis1 | 
	e'2 c4 b | c2 d | e1 |
	e2 c4 b8 a | gis4 c a d | b1 |
	c2 b4 a | gis2 gis | a1
	 
	\bar".|."
}

StaffB = \relative c' {
	\clef G %Treble clef
	\key a \minor 
	\time 4/4 
	\sacredHarpHeads  
	                   
	e2 e4 g | a g g8[ f] e[ d] | e1 |
	g2 g4 g | e2 g | g1 |
	g2 g4 g | g <g e> f d | e1 |
	e2 g4 g | e2 e | e1
	 
	\bar".|."
}

StaffC = \relative c'' {
	\clef G %Treble clef
	\key a \minor 
	\time 4/4 
	\sacredHarpHeads 
	                   
	a2 c4 b | a e' d c | b1 |
	c2 e4 d | c2 b | c1 |
	c2 e4 d | c e d8[ c] b[ a] | gis1 |
	a2 d4 e8[ d] | c2 b | a1
	 
	\bar".|."
}

StaffD = \relative c {
	\clef bass %Bass clef
	\key a \minor
	\time 4/4
	\sacredHarpHeads 
	                   
	a'2 a4 e | a, c g' a | e1 |
	c2 c4 g' | a2 g | c,1 |
	c2 c4 g' | e c d d | e1 |
	a2 g4 c,8[ d] | f2 e | a,1
	 
	\bar".|."
}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>

			\context Devnull = LyrStaffA <<
				\context Voice = LyrStaffA \LyricRhythm
			>>
			\new Lyrics \lyricsto LyrStaffA \tempverse
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-1

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
			\context Staff = cStaffCA <<
				\context Voice = cStaffCA \StaffC
			>>
			\context Devnull = LyrStaffB <<
				\context Voice = LyrStaffB \LyricRhythm
			>>
			\new Lyrics \lyricsto LyrStaffB \tempverse

			\context Staff = cStaffDA <<
				\context Voice = cStaffDA \StaffD
			>>
		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 72 2) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
