
\version "2.12.3"
\include "..\SHRepeats.ly"

%#(set-global-staff-size 19) %Sets the distance (in points) from the top line to the bottom line of a single staff 

flat = \markup { \raise #0.4 \smaller \musicglyph #"accidentals--2" }
sharp = \markup { \raise #0.6 \smaller \musicglyph #"accidentals-2" }
textcodaysym = \markup { \hspace #1 \raise #1.1 \musicglyph #"scripts-coda"}

\paper {
	system-count = #4 %Suggests to Lilypond how many braces to use for this piece.
}

\header {
	title = "The Request.  L.M. " %Tune name and hymn meter
	poet = \markup { "G Major   " } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverseTreble = \lyricmode {  
	Give me, O Lord, a soul so high,
	Whose vast di -- men -- sions reach the sky;
	That com -- pre -- hends with -- in its thought,
	The whole con -- tents of good and naught.
	
	And let it be as good as great,
	Its high -- est throne a mer -- cy seat;
	Dis -- sol -- ving like a show'r on earth,
	To give ten thou -- sand seeds a birth,
	
	Which hangs on flow'rs, and ten -- der plants,
	Such not their sweets, but feeds their wants.
	
	So let my ta -- lent in full flood,
	pour forth in stream for o -- thers' good;
	And at the last, O Lord re -- store,
	My soul to joy for -- ev -- er -- more. -more.
}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key g \major 
	\time 4/4 
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\expandFullBarRests
	                   
	r2 r4 b4 | g2 a | d2. c4 | b2 a | a2.
	b4 | g2 b | c2. b4 | a2 a | b1 | R1 |
	g2 a4 <d a> | d2. d4 | e2 e | d2.
	b4^"Diminuendo." | g4.( a8 b4) c | b2. c4 | d2 c | b1 | R1 |
	g2 g4 fis | g1 | fis2 fis4^"Affetuoso." fis8[ g] | a1 |
	a2 a4 a8[ b] | cis2. d4 | b2 ais | b2. b4 |
	\time 6/4
	b2 g4 b2 d4 | b2 g4 a2 
	d4 | d2 b4 a2 g4 | d'2 d4 d2. ~ | d2
	b4^"Andante." d( b) g | g( b) d d( b) g | c2
	b4 g2 b4 | b2 e4 d2 c4 | b2.( d2) r4 |
	\time 4/4
	b2^"Maestoso." d4 a | d b2. | a2 b4( c) | b1 |
	a2 g4 a | a2. b4 | a2 a | \partial 4*3 a2.
	\repeat volta 2 {
		a4 | b( g2) b4 | c( a2) c4 | b( a g) fis | g2.
		a4 | b( g b) d | d4.( c8 b4) a | g2 fis
	}
	\alternative {
		{ \partial 4*3 g2. }
		{ g1 }
	}
	\bar "|."
}

LyricRhythm = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	r2. c4 | c2 c | c2. c4 | c2 c | c2.
	c4 | c2 c | c2. c4 | c2 c | c1 | R1 |
	c2 c4 c | c2. c4 | c2 c | c2.
	c4 | c2. c4 | c2. c4 | c2 c | c1 | R1 |
	c2 c4 c | c1 | c2 c4 c | c1 |
	c2 c4 c | c2. c4 | c2 c | c2. c4
	\time 6/4
	c2 c4 c2 c4 | c2 c4 c2
	c4 | c2 c4 c2 c4 | c2 c4 c2. | r2
	c4 c2 c4 | c2 c4 c2 c4 | c2
	c4 c2 c4 | c2 c4 c2 c4 | c2. r2. |
	\time 4/4
	c2 c4 c | c c2. | c2 c | c1 |
	c2 c4 c | c2. c4 | c2 c | c2. |
	c4 | c2. c4 | c2. c4 | c2. c4 | c2.
	c4 | c2. c4 | c2. c4 | c2 c | 
	\partial 4*3 c2. |
	c1
}

StaffB = \relative c' {
	\clef G
	\key g \major 
	\time 4/4 
	\sacredHarpHeads  
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\expandFullBarRests

	r2 r4 d4 | e2 fis | g2. fis4 | g2 e | fis 2.
	g4 | e2 fis4( g) | a2. b4 | <a d,>2 d, | d1 | R1 |
	g2 fis4 fis | g2. d4 | e2 a2 | fis2.
	d4 | g4.( fis8 e4) dis | e2. d8[ e] | fis2 fis | g1 | R1 |
	e2 e4 dis | e1 | d2 d4 e | fis1 |
	fis2 fis4 fis | e2. d4 | fis2 fis | fis2. fis4 |
	\time 6/4
	g2 d4 g( fis) e | d2 b4 e2
	d4 | d2 d4 d2 d4 | d2 fis4 g2. ~ | g2
	g4 d2 d4 | d2 d4 g2 fis4 | e2
	g4 d2 e4 | fis2 <g e>4 fis2 fis4 | g2. ~ g2 r4
	\time 4/4
	d2 d4 fis | g fis2. | e2 e | fis1 |
	d2 d4 g | fis2. e4 | d2 cis |
	\partial 4*3 d2.
	\repeat volta 2 {
		\partial 4 d4 |
		d2. g4 | e2. d4 | g2. fis4 | e2.
		d4 | g2. b4 | a2( g4) fis8[ e] | d2 d 
	}
	\alternative {
		{ \partial 4*3 d2. }
		{ d1 }
	}
	\bar "|."
}

StaffC = \relative c'' {
	\clef G %Treble clef
	\key g \major 
	\time 4/4 
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\autoBeamOn
	\expandFullBarRests
	
	r2 r4 g4 | b2 c2 | b2. a4 | d2 cis | d2. %changed 3d bar 4th beat to A from G
	g,4 | e'2 dis | e2. e4 | fis2 fis | g1 | R1 |
	d2 d4 d | b2. d4 | c2 c4( b) | a2.
	b4 | b4.( a8 g4) fis | e2. c'4 | b2 a | g1 | R1 | %changed pickup to B from C
	b2 b4 ais | b1 | b2 b4 b | cis1 |
	d2 d4 d | e2. fis4 | d2 cis | b2. b4
	\time 6/4
	d( b) g g( b) d | d( b) g c2
	a4 | a2 a4 a2 a4 | a2 c4 b2. ~ | b2
	d4 b2 g4 | d'2 b4 g2 b4 | a2
	g4 b2 e4 | d2 g,4 b2 a4 | g2. ~ g2 r4
	\time 4/4
	g2 b4 c | b d2. | c2 b | a1 |
	a2 b4 g | d'2. g,4 | fis2 e |
	\partial 4*3 d2.
	\repeat volta 2 {
		\partial 4 d4 |
		g( b2) g4 | a( c2) a4 | g( b2) d4 | c2( a4)
		fis4 | g( b d) g | fis2( e8[ d]) e[ d] | b2 a 
	}
	\alternative {
		{ \partial 4*3 g2. }
		{ g1 }
	}
	\bar "|."
}

StaffD = \relative c {
	\clef bass %Bass clef
	\key g \major 
	\time 4/4 
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\autoBeamOn
	\expandFullBarRests

	r2 r4 g'4 | e2 d | b2. d4 | g2 a | d,2.
	g4 | c2 b | a2. g4 | d2 d | <g g,>1 | R1 |
	g2 d4 d | g2. b,4 | c2 a | d2.
	d4 | e4.( fis8 g4) a | b2. a4 | d,2 d | <g g,>1 | R1
	e2 e4 fis | e1 | b2 b4 b | fis'1 |
	d2 d4 d | a'2. fis4 | b2 fis | b,2. d4
	\time 6/4
	g2 b4 g2 d4 | g2 b4 a2
	d,4 | d( fis) a a( fis) d | d( fis) a g2. ~ | g2
	d4 g2 b4 | g2 d4 g2 b4 | a2
	b4 g2 c,4 | b2 c4 d2 d4 | <g g,>2. ~ <g g,>2 r4
	\time 4/4
	g2 g4 fis | g b2. | a2 g | d1 |
	d2 g4 fis8[ e] | d2. g4 | a2 a, |
	\partial 4*3 d2.
	\repeat volta 2 {
		\partial 4 d4 |
		b2. g'4 | a2. fis4 | g2( e4) b | c2.
		d4 | g( e d) g, | d'2( g8[ a]) b[ c] | d2 d,
	}
	\alternative {
		{ \partial 4*3 g2. }
		{ g1 }
	}
	\bar "|."

}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>
			\context Devnull = LyrStaffA <<
				\context Voice = LyrStaffA \LyricRhythm
			>>
			\new Lyrics \lyricsto LyrStaffA \tempverseTreble
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-1

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
%			\context Devnull = LyrStaffB <<
%				\context Voice = LyrStaffB \LyricRhythm
%			>>
%			\new Lyrics \lyricsto LyrStaffB \tempverseAlto

			\context Staff = cStaffCA <<
				\context Voice = cStaffCA \StaffC
			>>
			\context Devnull = LyrStaffC <<
				\context Voice = LyrStaffC \LyricRhythm
			>>
			\new Lyrics \lyricsto LyrStaffC \tempverseTreble

			\context Staff = cStaffDA <<
				\context Voice = cStaffDA \StaffD
			>>
%			\context Devnull = LyrStaffD <<
%				\context Voice = LyrStaffD \LyricRhythmD
%			>>
%			\new Lyrics \lyricsto LyrStaffD \tempverseBass
		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 92 4) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
