
\version "2.12.3"
\include "..\SHRepeats.ly"

%#(set-global-staff-size 19) %Sets the distance (in points) from the top line to the bottom line of a single staff 

flat = \markup { \raise #0.4 \smaller \musicglyph #"accidentals--2" }
sharp = \markup { \raise #0.6 \smaller \musicglyph #"accidentals-2" }
textcodaysym = \markup { \hspace #1 \raise #1.1 \musicglyph #"scripts-coda"}

\paper {
	system-count = #4 %Suggests to Lilypond how many braces to use for this piece.
}

\header {
	title = "Heroism.  L.M. " %Tune name and hymn meter
	poet = \markup { "E Minor   Ralph Erskind." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverseTreble = \lyricmode {  
	Then joint -- ly all the har -- pers round,
	In mind u -- nite with so -- lemn sound;
	And strokes u -- pon the high -- est string, 
	Made all the hea -- v'nly ar -- ches ring.
	And strokes u -- pon the high -- est string, 
	And strokes u -- pon the high -- est string, 
	Made all the hea -- v'nly ar -- ches ring.
}

tempverseAlto = \lyricmode {
	And strokes u -- pon the high -- est string, 
	And strokes u -- pon the high -- est string, 
}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key ees \major 
	\time 3/2 
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\expandFullBarRests
	                   
	r2 r2 g2 | g4 a bes c d bes | b1
	bes2 | aes4 g c bes g16[ bes8.] ees4 | d1
	bes2 | g4 g f f aes aes8[ g] | f1
	<g ees>2 | bes4 bes c ees bes bes | 
	\partial 2*2 <bes g>1^\fermataMarkup 
	\repeat volta 2 {
		\partial 2 r2 | 
		R1*2*3/2 | r2 r2
		bes2 | ees4 bes bes g bes ees |
		\time 4/4
		bes g bes bes | g g f f | g1 |
		bes2 g4. f8 | ees4( f8[ g] bes4) f | g( aes8[ bes] c8.[ ees16] d[ bes] | c2) bes |
	}
	\alternative {
		{ \partial 2*2 bes1 }
		{ bes1. }
	}
	\bar ".|."
}

LyricRhythmA = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 3/2
	r1 c2 | c4 c c c c c | c1
	c2 | c4 c c c c c | c1
	c2 | c4 c c c c c | c1
	c2 | c4 c c c c c | c1
	c2 | r1 r2 | r1 r2 | r1
	c2 | c4 c c c c c | 
	\time 4/4
	c4 c c c | c c c c | c1 |
	c2 c4. c8 | c2. c4 | c1 | r2 c2 |
	\time 3/2
	\partial 2*2 c2 | 
	c1.
}

StaffB = \relative c' {
	\clef G %Treble clef
	\key ees \major 
	\time 3/2 
	\sacredHarpHeads  
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\expandFullBarRests

	r2 r2 ees2 | g4 f ees aes g f | g1
	g2 | ees4 f f bes, ees aes | f1
	f2 | ees4 bes bes ees f f | f1
	ees2 | g4 g8[ f] ees4 aes8[ g] f4 f | 
	\partial 2*2 g1^\fermataMarkup 
	\repeat volta 2 {
		\partial 2 r2 | 
		R1. | r2 r2
		ees2 | bes4 g ees8[ f] g[ aes] bes4 bes | g1 g2
		\time 4/4
		g4 g8[ f] ees[ d] ees[ f] | g1 |
		g2 ees4. f8 | g4( f8[ ees] f4) f | g4.( f8 ees4 bes8.[ aes16] | g4 f8[ aes] g[ ees]) d[ f] |
	}
	\alternative {
		{ \partial 2*2 g1 }
		{ g1. }
	}
	\bar ".|."
}

LyricRhythmB = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 3/2
	R1*10*3/2 | r2 r2 
	c2 | c4 c c c c c | c1
	c2 |
	\time 4/4
	c4 c c c | c2 c | c1
}

StaffC = \relative c'' {
	\clef G %Treble clef
	\key c \major 
	\time 4/4 
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\autoBeamOn
	\expandFullBarRests
	
	r2 r4 g4 | c2. e4 | g,2 c2 | b8( c d e c4) b | c1 |
	c4( d) e d | e( g) c,2 | d d | d1 |
	e4( c) c2 | b4( d) d2 ~ | d c | e4( f8 e d4) c | b2.
	g4 | g'2. c,4 | f8( e d c b4) d | e2 d | c1 | R1 |
	c2 e4 e | d1 | d2 c4 b | c2.
	e4 | g,2 c | d2. b4 | c2 d | e2.
	c4 | a2 gis | a2. f'4 | e4( d8 c) d2 | c1 |
	\repeat volta 2 {
		\autoBeamOff
		R1 | r2 g2 | c4 e e c | b8[ c] d[ e] d4
		c4 | e g g e | d8[ c] b[ c] d4.
		g,8 | c4( e) e c | b8([ c d e] f4) d8 d |
		e4( g g e | d8[ c d e] d2) | c2.
		g4 | c8.([ b16 c8 d] e8.[ d16 e8 f] | g4. a8 g4) f | e2 d | c1 %adjusted final note to C from A
	}
	\bar "|."
}

LyricRhythmC = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	r2. c4 | c2. c4 | c2 c | c c | c1 |
	c2 c4 c | c2 c | c c | c1 |
	c2 c | c c | r2 c2 | c2. c4 | c2.
	c4 | c2. c4 | c2. c4 | c2 c | c1 |
	R1 | c2 c4 c4 | c1 | c2 c4 c | c2.
	c4 | c2 c | c2. c4 | c2 c | c2.
	c4 | c2 c | c2. c4 | c2 c | c1 |
	R1 | r2 c2 | c4 c c c | c c c
	c4 | c c c c | c c c4.
	c8 | c2 c4 c | c2. c8 c | c1 | r1 | c2.
	c4 | c1 | r2. c4 | c2 c | c1
}

StaffD = \relative c {
	\clef bass %Bass clef
	\key c \major 
	\time 4/4 
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\autoBeamOn
	\expandFullBarRests

	r2 r4 c4 | c2. c'4 | b2 a | g g | c,1 |
	c2 c4 g' | c2 a | g8([ a b c] d4) d, | g1 |
	c2 a | g f( | g) a | c4( d8[ c] b4) a | g2.
	c4 | c,2. c4 | d4.( e8 f4) g | c2 g | c,1 |
	R1 | c1 | g'4 g g2 | g a4 b | c2.
	c4 | b2 a | g2. g4 | a2 g | c,2.
	e4 | f2 e | d2. d4 | e2 g | c,1 |
	\repeat volta 2 {
		r2 c2 | e4 g g e | c' a a c | d g, g c | c, c c4.
		c8 | g'2 g4. g8 | c2 c |
		R1*3 | r2 r4 g4 | c,2 c4.
		c8 | c8.([ d16 c8 f] g4) b | c2 g | c,1
	}
	\bar "|."
}

LyricRhythmD = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	R1*19 | 
	c1 | c4 c c2 | c c4 c | c2. r4 |
	R1*8 |
	r2 c2 | c4 c c c | c c c
	c4 | c c c c | c c c4. 
	c8 | c2 c4. c8 | c2 c |
	R1*3 | r2. c4 | c2 c4. c8 | c2. c4 | c2 c | c1
}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>
			\context Devnull = LyrStaffA <<
				\context Voice = LyrStaffA \LyricRhythmA
			>>
			\new Lyrics \lyricsto LyrStaffA \tempverseTreble
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-1

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
			\context Devnull = LyrStaffB <<
				\context Voice = LyrStaffB \LyricRhythmB
			>>
			\new Lyrics \lyricsto LyrStaffB \tempverseAlto

%			\context Staff = cStaffCA <<
%				\context Voice = cStaffCA \StaffC
%			>>
%			\context Devnull = LyrStaffC <<
%				\context Voice = LyrStaffC \LyricRhythmC
%			>>
%			\new Lyrics \lyricsto LyrStaffC \tempverseLead
%
%			\context Staff = cStaffDA <<
%				\context Voice = cStaffDA \StaffD
%			>>
%			\context Devnull = LyrStaffD <<
%				\context Voice = LyrStaffD \LyricRhythmD
%			>>
%			\new Lyrics \lyricsto LyrStaffD \tempverseBass
		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 92 4) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
