\version "2.12.3"
% \include "..\SHRepeats.ly"
#(set-global-staff-size 20)

trebleMusic = \relative c''
{
	\key c \major
	\time 4/4
	\sacredHarpHeads 

	r2
	g2 c g a b c d e2.
	d4 c2 d e d c( b)
	r2
	d g, c e c4( d) e2 d d2.          % changed first quarter-note to C from B
	g,4 a2 b4( d) c2 <b d> <c e>1
	R1*3 r2
	\autoBeamOff
	g2 c4. d8 c b a g d'4
	d d d d d8[ c] b4
	<g c> c2 g a2. e4 a2^"Forte." b c2.( d4 e c c g e'8.[ d16 c8 d] e2) % changed chord to <g c> from <g b>
	a, c8[ e] f[ d] c2 b c1
}

altoMusic = \relative c'
{
	\key c \major
	\clef treble
	\sacredHarpHeads 

	r2
	g'2 a g e g g g g2.
	g4 g2 f e a g1
	r2
	g2 g a g g g fis g2.
	e4 a2 a g g e1
	R1*2 r2
	\autoBeamOff
	e2 g4. a8 g f e d g2.
	e4 a a a a g2.
	g4 a2 g e2. <d g>4 g2 g2 g1~ g1~ g2.
	g4 a2 a g g e1
}

tenorMusic = \relative c''
{
	\key c \major
	\clef treble
	\sacredHarpHeads
	
	r2
	c4( g) a2 b c d e d c2.
	f,4 e2 g c d e( d)
	r2
	g, e4( g) a2 e4( g) c2 e,4( g) a2 g2.
	g4 c2 b4( a) g2 d' c1
	R1 r2
	\autoBeamOff
	g2 c4. d8 c b a g d'2.
	c4 e2. c4 a a a a g2.
	g4 c2 b c2. d4 e2 d e2.( d4 c b8[ a] g4 b c8.[ d16 e8 f] g2)
	f2 e8[ c] a'[ f] e2 d2 c1
}

bassMusic = \relative f
{
	\key c \major
	\clef bass
	\sacredHarpHeads
	
	r2
	c'4( g) f2 g a g <c c,> <g g,> c,2.
	d4 e2 d c f g1
	r2
	g2 g f e e4( d) c2 d g,2.
	c4 f2 d e4( f) g2 c,1
	r2
	\autoBeamOff
	c2 g'4. a8 g f e d c2.
	e4 g g g a8[ b] c2.
	c,4 d d e f g2.
	c,4 f2 g a2. g4 c2 g c,1~ c1~ c2.
	e4 d2( c8[ d]) e[ f] g2 <g g,> c,1
	\bar ".|."
}

verseOne = \lyricmode
{
	Let all the just to God, with joy,
	Their cheer -- ful voi -- ces raise;
	For well the righ -- teous it be -- comes
	To sing glad songs of praise.
	Let harps, and psal -- te -- ries, and lutes,
	In joy -- ful con -- cert meet:
	And new made songs of loud ap -- plause, __ 
	The har -- mo -- ny com -- plete.
}

verseTwo = \lyricmode
{
	% don't print mid-staff lyrics for the plaintune section
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _
	Let harps, and psal -- te -- ries, and lutes,
	In joy -- ful con -- cert meet:
	And new made songs of loud ap -- plause, __
	The har -- mo -- ny com -- plete.	
}

verseThree = \lyricmode
{
	Let all the just to God, with joy,
	Their cheer -- ful voi -- ces raise;
	For well the righ -- teous it be -- comes
	To sing glad songs of praise.
	Let harps, and psal -- te -- ries, and lutes,
	In joy -- ful, joy -- ful con -- cert meet:
	And new made songs of loud ap -- plause, __ 
	The har -- mo -- ny com -- plete.
}

verseFour = \lyricmode
{
	% don't print mid-staff lyrics for the plaintune section
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _
	Let harps, and psal -- te -- ries, and lutes,
	In joy -- ful con -- cert meet,
	In joy -- ful con -- cert meet:
	And new made songs of loud ap -- plause, __
	The har -- mo -- ny com -- plete.	
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}

\header {
	title = "Lincoln.  C.M. " %Tune name and hymn meter
	poet = \markup { "C Major.   Tate & Brady, 1696." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
		\addlyrics { \verseTwo }
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseThree }
		\context Staff = "bass" << \bassMusic >>
		\addlyrics { \verseFour }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}