\version "2.12.3"
\include "..\SHRepeats.ly"
% #(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key d \major
	\time 2/4
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r4
	<a fis>4 a a b a a2
	r4 d b cis d b cis2
	r4 d a fis a d b b a2               % 4th note change to A from B
	r4 cis d a8[ b16 cis] d4 cis d4.
	cis8 b4 a d b
	\time 4/4
	\partial 4*3 cis 2.
	\repeat volta 2 {
		\partial 4 a4
		d( a fis) d' cis( e a,) g fis2 a
	}
	\alternative {
		{ \partial 4*3 a2. }
		{ a1 }
	}
}

altoMusic = \relative c'
{
	\key d \major
	\clef treble
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r4 d fis fis8[ e] d4 a' fis2
	r4 fis g a a gis a2
	r4 fis4 a d, cis d g g8[ fis] e2
	r4 a fis a a e fis4.
	e8 d4 a' fis b
	\time 4/4
	\partial 4*3 a2.
	\repeat volta 2 {
		\partial 4 a4
		a2. fis4 e2. d4 a'2 a
	}
	\alternative {
		{ \partial 4*3 fis2. }
		{ fis1 }
	}
}

tenorMusic = \relative c''
{
	\key d \major
	\clef treble
	\sacredHarpHeads
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	
	r4 a d a8[ b16 cis] d4 cis d2
	r4 a b a b b a2
	r4 d e d e fis e b cis2
	r4 e4 fis e8[ fis16 g] fis4 e d4.
	a8 d4 cis b b
	\time 4/4
	\partial 4*3 a2.
	\repeat volta 2 {
		\partial 4 a4
		fis( a d) d fis,( a e') g fis2 e
	}
	\alternative {
		{ \partial 4*3 d2. }
		{ d1 }
	}
}

bassMusic = \relative f
{
	\key d \major
	\clef bass
	\sacredHarpHeads
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	
	r4 d d fis g a d,2
	r4 d g fis d e <a a,>2
	r4 d, a' b a d, e e <a a,>2
	r4 <a a,>4 <d d,> <a a,> <d d,> <a a,> d,4.
	d8 g4 a b e,
	\time 4/4
	\partial 4*3 a2.
	\repeat volta 2 {
		\partial 4 fis4
		d2. fis4 a2. b4 a2 <a a,>
	}
	\alternative {
		{ \partial 4*3 d,2. }
		{ d1 }
	}
	\bar ".|."
}

verseOne = \lyricmode
{
%	\set stanza = "1."
	How plea -- sant 'tis to see,
	Kin -- dred and friends a -- agree,
	Each in their pro -- per sta -- tion move,
	And each ful -- _ _ fill their part,
	With sym -- pa -- thi -- sing heart,
	In all the cares of life and love. love.
}

verseThree = \lyricmode
{
%	\set stanza = "1."
	How plea -- sant _ _ 'tis to see,
	Kin -- dred and friends a -- agree,
	Each in their pro -- per sta -- tion move,
	And each ful -- _ _ fill their part,
	With sym -- pa -- thi -- sing heart,
	In all the cares of life and love. love.
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
}

\header {
	title = "Friendship.  P.M." %Tune name and hymn meter
	poet = \markup { "D Major.  Isaac Watts, 1719." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-2
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseThree }
		\context Staff = "bass" << \bassMusic >>
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 96 4) %Sets the metronome speed and value of the beat
		}
	}
}