\version "2.12.3"
\include "..\SHRepeats.ly"
#(set-global-staff-size 20)

trebleMusic = \relative c''
{
	\key f \major
	\time 4/4
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 a2 g8.( a16 g8 f c'4) d c2. c4 c4.( bes8 a4) g g2.
	f4 a c f, a a1 \partial 2 r2         % changed penultimate note to A from Bes
	\repeat volta 2
	{
		\partial 2 a2 f4 c' f, bes a( c f,) f a( c2)
		f,4 e2. g4 c a g g a8.( bes16 a8 g a4) a c2.
		c4 a d c c 
	}
	\alternative {
		{ \partial 2 <c a>2 }
		{ <c a>1 }
	}
}

altoMusic = \relative c'
{
%	\clef alto
	\key f \major
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 f2 e2. g4 a2. a4 g2. f4 e2.
	d4 f c f e d1
	\partial 2 r2
	\repeat volta 2
	{
		\partial 2 r2 r2
		d2 f4 a f d e2. f4 g2.
		g4 a f g e f2.
		f4 a8.( bes16 a8 g a4) g4         % changed 1st note to F from G
		f f f <g e>                       % changed 3d note to F from G
	}
	\alternative {
		{ \partial 2 <f a>2 }
		{ <f a>1 }
	}
}

tenorMusic = \relative c''
{
	\key f \major
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 f,2 c'8.( d16 c8 bes a4) g a2. f4 g( f8 g a4) b c2.
	c4 f e d cis d1
	\partial 2 r2
	\repeat volta 2
	{
		\partial 2 r2 r2
		d2 c4 a d f c4.( bes8 a4) f g2.
		g4 a c d c8. b16 c2.
		f,4 c'4.( bes8 a4) g f8.( g16 a8 bes a4) g
	}
	\alternative {
		{ \partial 2 f2 }
		{ f1 }
	}

}

bassMusic = \relative f
{
	\clef bass
	\key f \major
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 f2 c4.( d8 c4) d8[ e] f2. d4 c( a8 c f4) g c,2.
	f4 d c bes a d1
	\partial 2 r2
	\repeat volta 2
	{
		\partial 2 f2 a4 f d g f2( bes4) bes a4.( e8 f4) d c2. 
		c4 f a g c, f2.
		c'4 a4.( g8 f4) c d d f c
	}
	\alternative {
		{ \partial 2 <f f,>2 }
		{ <f f,>1 }
	}
	\bar ".|."
}

verseOne = \lyricmode
{
	Our states, O Lord, with songs of praise,
	Shall in thy strength re -- joice,
	With thy sal -- va -- tion crown'd, shall raise, shall raise,
	To heav'n their cheer -- ful, cheer -- ful voice,
	To heav'n their cheer -- ful voice. voice.
}

verseTwo = \lyricmode
{
	% don't print mid-staff lyrics for the plaintune section
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _
	With thy sal -- va -- tion crown'd, shall raise,
	To heav'n their cheer -- ful voice,
	their cheer -- ful, cheer -- ful, cheer -- ful voice. voice.
}

verseThree = \lyricmode
{
	Our states, O Lord, with songs of praise,
	Shall in thy strength re -- joice,
	With thy sal -- va -- tion crown'd, shall raise,
	To heav'n their cheer -- ful _ voice,
	To heav'n their cheer -- ful voice. voice.
}

verseFour = \lyricmode
{
	% don't print mid-staff lyrics for the plaintune section
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _
	With thy sal -- va -- tion crown'd, shall raise, shall raise,
	To heav'n their cheer -- ful voice,
	To heav'n their cheer -- ful, cheer -- ful voice. voice.
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}

\header {
	title = "Union.  C.M. " %Tune name and hymn meter
	poet = \markup { "F Major.   " } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
		\addlyrics { \verseTwo }
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseThree }
		\context Staff = "bass" << \bassMusic >>
		\addlyrics { \verseFour }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}