
\version "2.12.3"
\include "..\SHRepeats.ly"

#(set-global-staff-size 20) %Sets the distance (in points) from the top line to the bottom line of a single staff 

flat = \markup { \raise #0.4 \smaller \musicglyph #"accidentals--2" }
sharp = \markup { \raise #0.6 \smaller \musicglyph #"accidentals-2" }
textcodaysym = \markup { \hspace #1 \raise #1.1 \musicglyph #"scripts-coda"}

\paper {
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
}


\header {
	title = "Gethsemane.  L.M. " %Tune name and hymn meter
	poet = \markup { "A Minor.   Isaac Watts, 1707." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverseA = \lyricmode {
	\set stanza = "1."
	'Twas on that dark, that dole -- ful night,
	When pow'rs of earth and hell a -- rose
	A -- gainst the Son of God's de -- light,
	And friends be -- trayed him to his foes.
}

tempverseB = \lyricmode {
	\set stanza = "2."
	Be -- fore the mourn -- ful scene be -- gan
	He took the bread, and blest, and brake:
	What love thro' all his ac -- tions ran!
	What won -- d'rous words of grace he spake!
}

tempverseC = \lyricmode {
	\set stanza = "3."
	This is my Bo -- dy broke for sin,
	Re -- ceive and eat the li -- ving food:
	Then took the cup, and blest the wine;
	'Tis the New Cov -- 'nant in my Blood.
}

tempverseD = \lyricmode {
	\set stanza = "4."
	Je -- sus thy feast we ce -- le -- brate,
	We show thy Death, we sing thy Name,
	Till thou re -- turn, and we shall eat
	The Mar -- riage- Sup -- per of the Lamb.
}

LyricRhythm = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	
	r1 
	a2 | a1 a2 | a1 a2 | a1 a2 | a1
	a2 | a1 a2 | a1 a2 | a1 a2 | a1
	a2 | a1 a2 | a1 a2 | a1 a2 | a1
	a2 | a1 a2 | a1 a2 | a1 a2 | a1.
}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key c \major % relative major of a minor
	\time 3/2 
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	                   
	r2 r2 
	a2 | c( d) e | d4.( c8 b2) b | a( b) b | c1
	b2 | b1 e2 | d1 b4.( c8) | d2( c4 b) a2 | gis1
	g2 | g1 b2 | c( b) a | a( e') d | c1
	b2 | a1 gis2 | a( b) c | c4.( b8 a2) gis | a1.
	 
	\bar".|."
}

StaffB = \relative c' {
	\clef G %Treble clef
	\key c \major % relative major of a minor
	\time 3/2 
	\sacredHarpHeads  
	                   
	r2 r
	e2 | e( g) g | g1 g2 | a( g) g | e1
	g2 | g1 g4( e) | f1 e2 | a1 e2 | e1
	e2 | e1 g2 | g( f) e | a1 <g d>2 | <g e>1
	g2 | e( f) e | a( g) e | e1 e2 | e1.
	 
	\bar".|."
}

StaffC = \relative c'' {
	\clef G %Treble clef
	\key c \major % relative major of a minor
	\time 3/2 
	\sacredHarpHeads 
	                   
	r2 r
	a2 | c( b) c | d1 d2 | d( e) d | c1 
	g2 | e4.( f8 g2) c | b( a) gis | a( b) c | b1
	b2 | c1 d2 | e( d) c | a4.( b8 c2) d | e1
	d2 | c4.( b8 a2) c | d4.( c8 b2) a | e'4.( d8 c2) b | a1.
	 
	\bar".|."
}

StaffD = \relative f {
	\clef bass %Bass clef
	\key c \major % relative major of a minor
	\time 3/2
	\sacredHarpHeads 
	                   
	r2 r
	a2 | a( g) c, | <g g'>1 <g g'>2 | f'( e) g | c,1
	e2 | g4.( f8 e2) c | d1 e2 | d1 <a a'>2 | e'1
	g2 | c,1 g2 | c( d) e | f4.( g8 a2) g | c,1
	g'2 | c,( d) e | f( g) a | a1 e2 | a,1.
	 
	\bar".|."
}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>

			\context Devnull = LyrStaffA <<
				\context Voice = LyrStaffA \LyricRhythm
			>>
			\new Lyrics \lyricsto LyrStaffA \tempverseA
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-1
				\override Score.StanzaNumber #'font-size = #-1

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
			\context Devnull = LyrStaffB <<
				\context Voice = LyrStaffB \LyricRhythm
			>>
			\new Lyrics \lyricsto LyrStaffB \tempverseB

			\context Staff = cStaffCA <<
				\context Voice = cStaffCA \StaffC
			>>
			\context Devnull = LyrStaffC <<
				\context Voice = LyrStaffC \LyricRhythm
			>>
			\new Lyrics \lyricsto LyrStaffC \tempverseC

			\context Staff = cStaffDA <<
				\context Voice = cStaffDA \StaffD
			>>
			\context Devnull = LyrStaffD <<
				\context Voice = LyrStaffD \LyricRhythm
			>>
			\new Lyrics \lyricsto LyrStaffD \tempverseD

		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 72 2) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
