
\version "2.12.3"
%\include "..\SHRepeats.ly"

#(set-global-staff-size 20) %Sets the distance (in points) from the top line to the bottom line of a single staff 

flat = \markup { \raise #0.4 \smaller \musicglyph #"accidentals--2" }
sharp = \markup { \raise #0.6 \smaller \musicglyph #"accidentals-2" }
textcodaysym = \markup { \hspace #1 \raise #1.1 \musicglyph #"scripts-coda"}

\paper {
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
}

\header {
	title = "St. Mark's.  S.M. " %Tune name and hymn meter
	poet = \markup { "G Minor   Isaac Watts." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

tempverseA = \lyricmode {  
	And must this bo -- dy die?
	This mor -- tal frame de -- cay?
	And must these ac -- tive limbs of mine
	Lie moul -- d'ring in the clay,
	And must these ac -- tive limbs of mine
	Lie moul -- d'ring in the clay?
}

tempverseB = \lyricmode {  
	And must these ac -- tive limbs of mine
	Lie moul -- d'ring in the clay,
}

tempverseD = \lyricmode {  
	And must these ac -- tive limbs of mine
	Lie moul -- d'ring in the clay,
	Lie moul -- d'ring in the clay,
	And must these ac -- tive limbs of mine
	Lie moul -- d'ring in the clay?
}

StaffA = \relative c'' {
	\clef G %Treble clef
	\key bes \major % relative major of g minor 
	\time 4/4 
	\sacredHarpHeads 
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	\expandFullBarRests
	                   
	r2 g2 | bes4 a8 g fis4 a | bes1 ~ | bes2
	c2 | d8[ c] bes[ a] g4 g | fis1
	R1*2 | r2
	bes2 | f4 f f8[ g] f[ ees] | d2. a'4 | bes2.
	a8[ bes] | c4 d8[ c] bes4 a | g2.
	a4 | bes d c a | f a bes
	d4 | c8[ bes] a[ g] fis4 fis | g1
	\bar ".|."
}

LyricRhythmA = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	r2 
	a2 | a4 a a a | a1 | r2 
	a2 | a4 a a a | a1 | R1*2 | r2
	a2 | a4 a a a | a2.	a4 | a2. 
	a4 | a a a a | a2.
	a4 | a a a a | a a a
	a4 | a a a a | a1
}

StaffB = \relative c' {
	\clef G
	\key bes \major % relative major of g minor 
	\time 4/4 
	\sacredHarpHeads  
	\expandFullBarRests

	r2 d2 | f4 f d f | f1 ~ | f2
	f2 | f4 bes, ees d | d1 | R1*3 | r2
	f2 | f4 f f f | g g g 
	d4 | ees ees ees ees | d2.
	f4 | f f f f | f f f
	d4 | ees ees d d | d1
	\bar ".|."
}

LyricRhythmB = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	R1*9 | r2
	a2 | a4 a a a | a a a 
	a4 | a a a a | a2.
}

StaffC = \relative c'' {
	\clef G %Treble clef
	\key bes \major % relative major of g minor 
	\time 4/4 
	\sacredHarpHeads 
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\autoBeamOff
	\expandFullBarRests
	
	r2 g2 | d'4 d d c | bes1 ~ | bes2
	f2 | f4 g g bes | a1 | R1 | r2
	bes2 | f4 f f8[ g] f[ ees] | d2. bes'4 | bes2.
	a8[ bes] | c4 d8[ c] bes4 a | g1 | 
	bes2 d4 d | bes f c'8.[ d16] c8[ bes] | a2
	bes2 | c4 d8[ c] bes4 a | g1
	\bar ".|."
}

LyricRhythmC = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	r2 
	a2 | a4 a a a | a1 | r2 
	a2 | a4 a a a | a1 | R1 | r2
	a2 | a4 a a a | a2.	a4 | a2. 
	a4 | a a a a | a1 |
	a2 a4 a | a a a a | a2
	a2 | a4 a a a | a1
}

StaffD = \relative f {
	\clef bass %Bass clef
	\key bes \major % relative major of g minor 
	\time 4/4 
	\sacredHarpHeads 
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	\autoBeamOff
	\expandFullBarRests

	r2 g2 | g4 d d f | bes,1 ~ | bes2
	<bes f'>2 | d4 ees8[ d] c4 <g g'> | d'1 | r2
	bes2 | d4 f bes, bes | bes2( bes8[ c d ees] | f4) f f
	d4 | bes bes bes d | ees2. 
	d4 | c c c c | g'2.
	f4 | bes, bes f' f | f d bes 
	d | ees c d d | <g g,>1
	\bar ".|."
}

LyricRhythmD = \relative c''''' {
	\set Staff.midiInstrument = "breath noise"
	\time 4/4
	R1*6 | r2
	a2 | a4 a a a | a1 | r4 a a  
	a4 | a a a a | a2.
	a4 | a a a a | a2.
	a4 | a a a a | a a a
	a4 | a a a a | a1
}

\score {
%Controls the placement of the above data on the page.
%\Lyrics lines can be moved up or down relative to the staves.
	\relative <<
		\context StaffGroup = cStaffAA <<
			\context Staff = cStaffAA <<
				\context Voice = cStaffAA \StaffA
			>>
			\context Devnull = LyrStaffA <<
				\context Voice = LyrStaffA \LyricRhythmA
			>>
			\new Lyrics \lyricsto LyrStaffA \tempverseA
				\override Score.PaperColumn #'keep-inside-line = ##t
				\override Score.LyricText #'font-size = #-1

			\context Staff = cStaffBA <<
				\context Voice = cStaffBA \StaffB
			>>
			\context Devnull = LyrStaffB <<
				\context Voice = LyrStaffB \LyricRhythmB
			>>
			\new Lyrics \lyricsto LyrStaffB \tempverseB

			\context Staff = cStaffCA <<
				\context Voice = cStaffCA \StaffC
			>>
			\context Devnull = LyrStaffC <<
				\context Voice = LyrStaffC \LyricRhythmC
			>>
			\new Lyrics \lyricsto LyrStaffC \tempverseA

			\context Staff = cStaffDA <<
				\context Voice = cStaffDA \StaffD
			>>
			\context Devnull = LyrStaffD <<
				\context Voice = LyrStaffD \LyricRhythmD
			>>
			\new Lyrics \lyricsto LyrStaffD \tempverseD
		>>

		\set Score.skipBars = ##t
		\set Score.melismaBusyProperties = #'()
	>>

	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 92 4) %Sets the metronome speed and value of the beat
		}
	}

	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}
