\version "2.12.3"
\include "..\SHRepeats.ly"

trebleMusic = \relative c''
{
	\key d \major
	\time 4/4
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1*2
	d2 cis4 b | a4.( b8[ a b]) cis[ a] | d4 fis e8[ d] 
	cis[ b] | a4 a fis a | a2. a4 | a2.
	a4 | fis2 g | a8( d4.) b2 | \partial 4*3 cis2.
	\repeat volta 2
	{
		\partial 4 
		a4 | d d d a | fis' fis fis 
		a, | d d d fis | e e e 
		fis | d2. b4 | cis4.( d8 cis4) <e a,>
	}
	\alternative {
		{ \partial 4*3 <d a>2. }
		{ <d a> 1}
	}
}

altoMusic = \relative c'
{
	\key d \major
	\clef treble
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1*3
	a'2 fis4 fis | d4.( e8[ fis g]) a4 | fis2. e4 | fis2( a4) e | fis2. % last note was E in ms.
	e4 | a2 g | fis8( d4.) e2 | \partial 4*3 e2.
	\repeat volta 2
	{
		\partial 4 r4 | r2 r4
		a4 | fis fis fis a | a a a
		a | a a a a | a a a
		b | a4. a8 a4 a
	}
	\alternative {
		{ \partial 4*3 <a fis>2. }
		{ <a fis>1 }
	}
}

tenorMusic = \relative c''
{
	\key d \major
	\clef treble
	\sacredHarpHeads
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	
	d2 cis4 b | a4.( b8[ a b]) cis[ a] | d2( cis4) e | a,2.
	a4 | b b cis a | d4.( e8 d4) a | fis'8.([ e16 d8 e] fis4) e | d2.
	a4 | d2 cis4( b) | a2 gis | \partial 4*3 a2.
	\repeat volta 2
	{
		\partial 4
		a4 | b b b a | d d d
		e | fis fis fis d | a' a a
		g | fis2. g4 | e4.( fis8 e4) cis
	}
	\alternative {
		{ \partial 4*3 d2. }
		{ d1 }
	}
}

bassMusic = \relative f
{
	\key d \major
	\clef bass
	\sacredHarpHeads
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	
	R1
	a2 fis4 fis | d4.( b'8 a4) a, | d2. fis4 | b,2( a4)
	cis | d d d <a a'> | d8.([ e16 fis8 g] a4) a, | d2.
	a'4 | d,2 e | fis e | \partial 4*3 <a a,>2.
	\repeat volta 2
	{
		\partial 4 r4 | r2 r4
		a4 | b b b a | <d d,> <d d,> <d d,>
		<b b,> | <a a,> <a a,> <a a,> <fis cis> | d d d
		<b b'> | <a a'>4. fis'8 <a, a'>4 a
	}
	\alternative {
		{ \partial 4*3 d2. }
		{ d1 }
	}
	\bar ".|."
}

verseOne = \lyricmode
{
	Some se -- raph lend your _ heav -- n'ly tongue, _
	Some _ se -- raph lend your heav -- n'ly tongue,
	Or harp of gol -- den string,
	That I may raise a lof -- ty song,
	That I may raise a lof -- ty song
	To our e -- ter -- nal King. King.
}

verseTwo = \lyricmode
{
	Some se -- raph lend your heav -- n'ly,
	heav -- n'ly tongue,
	Or harp of gol -- den string,
	That I may raise a lof -- ty song,
	That I may raise a lof -- ty song
	To our e -- ter -- nal King. King.
}

verseThree = \lyricmode
{
	Some se -- raph lend your _ heav -- n'ly tongue,
	Some se -- raph lend your heav -- n'ly, heav -- n'ly tongue,
	Or harp of gol -- den string,
	That I may raise a lof -- ty song,
	That I may raise a lof -- ty song
	To our e -- ter -- nal King. King.
}

verseFour = \lyricmode
{
	Some se -- raph lend your heav -- n'ly tongue,
	Some se -- raph lend your heav -- n'ly tongue,
	Or harp of gol -- den string,
	That I may raise a lof -- ty song,
	That I may raise a lof -- ty song
	To our e -- ter -- nal King. King.
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}

\header {
	title = "Ecstacy.  C.M. " %Tune name and hymn meter
	poet = \markup { "D Major   Isaac Watts, 1727." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
		\addlyrics { \verseTwo }
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseThree }
		\context Staff = "bass" << \bassMusic >>
		\addlyrics { \verseFour }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}