\version "2.12.3"
\include "..\SHRepeats.ly"
%#(set-global-staff-size 18)

trebleMusic = \relative c''
{
	\key a \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	cis1 a4 b cis8[ d] e4 e2.
	cis4 e a, b cis b1 r2
	cis2 e4 cis cis b b2^\fermataMarkup
	a2 cis4 d e b 
	\partial 4*3 cis2.
	\repeat volta 2 {
		\partial 4 r4 R1*2 r2 r4
		a4 e' e e cis b b b 
		cis a d cis b a2 <b gis>
	}
	\alternative {
		{ \partial 4*3 <cis a>2. }
		{ <cis a>1 }
	}
}

altoMusic = \relative c'
{
	\key a \major
%	\clef alto
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	e1 a4 gis8[ fis] e4 gis a2.
	a4 gis e fis a gis1 r2
	e2 a4 a a8[ gis] fis4 gis2^\fermataMarkup
	fis2 e4 fis e e
	\partial 4*3 e2.
	\repeat volta 2 {
		\partial 4 r4 R1 r2 r4
		e4 a a a fis gis2. a4 <b gis>2.
		e,4 fis fis e a <a e>2 <gis e>      % changed top note of first chord to A from GIS
	}
	\alternative {
		{ \partial 4*3 <a e>2. }
		{ <a e>1 }
	}
}

tenorMusic = \relative c''
{
	\key a \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	a1 cis4 e e8[ d] cis[ b] cis2.
	a4 e' fis16[ e8.] d4 cis b1 r2
	a2 cis4 e fis e8[ dis] e2^\fermataMarkup
	d cis16[ e8.] e8[ d] cis4 b
	\partial 4*3 a2.
	\repeat volta 2 {
		\partial 4 r4 r2 r4
		a4 cis cis cis e cis a a
		cis b b b a e' e e
		cis d fis e16[ cis8.] a8[ b] cis2 b
	}
	\alternative {
		{ \partial 4*3 a2. }
		{ a1 }
	}
}

bassMusic = \relative f
{
	\clef bass
	\key a \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	a1 fis4 e cis e <a a,>2.
	a4 cis d16[ cis8.] b4 a e1 r2
	a2 a4 a fis b e,2^\fermataMarkup
	fis a4 d, e e
	\partial 4*3 <a a,>2.
	\repeat volta 2 {
		\partial 4
		e4 a a a e' cis a a
		e fis fis fis a e2. fis4 e2.
		a4 fis d cis d e2 e2
	}
	\alternative {
		{ \partial 4*3 a,2. }
		{ a1 }
	}
	\bar ".|."
}

verseOne = \lyricmode
{
%	\set stanza = "1."
	Ar -- ray'd in beau -- teous green,
	The hills and val -- leys shine;
	And man and beast are fed,
	By pro -- vi -- dence di -- vine.
	The har -- vest bows his gol -- den ears,
	The cop' -- ous feed of fu -- ture years. years.
}

verseTwo = \lyricmode
{
	_ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _
	The har -- vest bows his gol -- den ears,
	The cop' -- ous feed of fu -- ture years. years.
}

verseThree = \lyricmode
{
%	\set stanza = "3."
	Ar -- ray'd in beau -- teous green,
	The hills and val -- leys shine;
	And man and beast are fed,
	By pro -- vi -- dence di -- vine.
	The har -- vest bows his gol -- den ears,
	The har -- vest bows his gol -- den ears,
	The cop' -- ous feed of fu -- ture years. years.
}

verseFour = \lyricmode
{
	_ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _
	The har -- vest bows his gol -- den ears,
	The har -- vest bows his gol -- den ears,
	The cop' -- ous feed of fu -- ture years. years.
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##f
	top-margin = 0.4\in
	bottom-margin = 0.5\in
}

\header {
	title = "Plenitude.  H.M. " %Tune name and hymn meter
	poet = \markup { "A Major.   Philip Doddridge." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\override Score.StanzaNumber #'font-series = #'medium
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
		\addlyrics { \verseTwo }
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseThree }
		\context Staff = "bass" << \bassMusic >>
		\addlyrics { \verseFour }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}