\version "2.12.3"
\include "..\SHRepeats.ly"
%#(set-global-staff-size 18)

trebleMusic = \relative c''
{
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 c2 a4 c d d e2^\fermataMarkup
	b c4 a d d b1
	c2 a4 c <b g>1
	g2 c4 e d2^\fermataMarkup
	b2 g4 c d d <d b>1
	c2 a4 c b4.( c8 b4) g <c g>1
	R1*6
	c2 a4 c b4.( c8  b4) g <c g>1
}

altoMusic = \relative c'
{
	\key c \major 
%	\clef alto
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 g'2 a4 g a g g2^\fermataMarkup
	g g4 a g f e1
	e2 a4 g g1
	g2 e4 g <a f>2^\fermataMarkup          % changed held chord to <a f> from <a e>
	g2 g4 e g a g1
	e2 c8[ d] e[ f] g2. f4 e1 r2
	c2 e e4( g) g2 
	e4( g) g2 \roundNote \grace b16 a4( g) \roundNote \grace a16 g4( f) \roundNote \grace g16 f4( e) e2( d)
	e2 c8[ d] e[ f] g2. f4 e1
}

tenorMusic = \relative c''
{
	\key c \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 c2 c4 c a b c2^\fermataMarkup 
	d e4 c b a g1
	c2 f4 e d1
	c2 g'4 c, f2^\fermataMarkup
	e2 d4 c b a g1
	c2 e4 c d4.( e8[ d c]) b4 c1 r2
	c2 c2 c4( e) e2
	c4( e) e2 \roundNote \grace g16 f4( e) \roundNote \grace f16 e4( d) \roundNote \grace e16 d4( c) g1
	c2 e4 c d4.( e8[ d c]) b4 c1
}

bassMusic = \relative f
{
	\clef bass
	\key c \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 c2 f4 e d <g g,> c,2^\fermataMarkup
	g' e4 f g d e1
	c2 d4 << \sacredHarpHeads { e8 f g1 } \\ \sacredHarpHeads { c,4 g1} >>
	c2 c4 c d2^\fermataMarkup
	e2 g4 a g d <g g,>1
	<a a,>2 <a a,>4 <a a,> <g g,>2. g,4 c1
	R1*6
	<a a'>2 <a a'>4 <a a'> <g g'>2. g4 c1
	\bar ".|."
}

verseOne = \lyricmode
{
%	\set stanza = "1."
	'Twas my be -- lo -- ved spoke,
	I knew his char -- ming voice.
	I heard him say,
	Rise up my love,
	My fair -- est one a -- wake,
	A -- wake and come a -- way.
	A -- wake and come a -- way.
}

verseTwo = \lyricmode
{
	_ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _
	_ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _ 
	Rise up my love,
	My fair -- est one a -- wake,
	A -- wake and come a -- way.
}

verseThree = \lyricmode
{
%	\set stanza = "3."
	'Twas my be -- lo -- ved spoke,
	I knew his char -- ming voice.
	I heard him say,
	Rise up my love,
	My fair -- est one a -- wake,
	A -- wake and come a -- way.
	Rise up my love,
	My fair -- est one a -- wake,
	A -- wake and come a -- way.
}

verseFour = \lyricmode
{

}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##f
	top-margin = 0.4\in
	bottom-margin = 0.5\in
}

\header {
	title = "Unity.  P.M. " %Tune name and hymn meter
	poet = \markup { "C Major.   " } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\override Score.StanzaNumber #'font-series = #'medium
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
		\addlyrics { \verseTwo }
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseThree }
		\context Staff = "bass" << \bassMusic >>
%		\addlyrics { \verseFour }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}