\version "2.12.3"
\include "..\SHRepeats_Dots.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key f \major  % really d minor
	\sacredHarpHeads 
%	\autoBeamOff
	\time 4/4
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	d,2 a'4 f g4.( f8 g4) a bes2 a a2.
	c4 a4.( bes8 a4) g f2 e \partial 4*3 d2.
	\repeat volta 2 {
		\partial 4 
		f4 a a a c g g g
		f a4.( bes8 a g a bes c4. d8 c16 a8. a16 f8. g2.) f4 c'-| c-| c-|
		f, c'4.( d8 c bes a g a4. bes8 a g f e f2.) g4 a2 a
	}
	\alternative {
		{ \partial 4*3 a2. }
		{ a1 }
	}
}

altoMusic = \relative c'
{
	\key f \major 
	\clef alto
	\sacredHarpHeads 
%	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	d2 cis4 d e2. c4 d2 e f2.
	e4 f4.( g8 f4) e d2 cis
	\partial 4*3 d2.
	\repeat volta 2 {
		\partial 4 
		r4 R1 r2 r4
		c4 f f f d c c c
		f e4.( f8 e4. f8 g4. f8 e4. d8 c2.) f4 e-| e-| e-|
		c4 f2. d4 cis2 cis
	}
	\alternative {
		{ \partial 4*3 d2. }
		{ d1 }
	}
}

tenorMusic = \relative c''
{
	\key f \major 
	\sacredHarpHeads 
%	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	a2 f4 a c4.( d8 c4) e4 d2 cis d2.
	a4 c4.( d8 c4) bes a2 a
	\partial 4*3 a2.
	\repeat volta 2 {
		\partial 4 
		r4 r2 r4
		f4 c' c c d c c c
		a a4.( bes8 a g a bes c4. d8 c16 bes8. a16 f8. g2.) f4 a-| a-| a-|
		f4 c'4.( d8 c bes a g a2.) g4 f2 e
	}
	\alternative {
		{ \partial 4*3 d2. }
		{ d1 }
	}
}

bassMusic = \relative f
{
	\clef bass
	\key f \major 
	\sacredHarpHeads 
%	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	d2 f4 d c2. a4 g2 a d2.
	c4 f4.( e8 f4) g a2 a,
	\partial 4*3 d2.
	\repeat volta 2 {
		\partial 4 
		c4 f f f d c c c
		f f4.( g8 f4. a8 f2.) d4 c-| c-| c-|
		d4 c4.( d8 c4 d8 e f4. a8 f4) bes,
		a4.( bes8 a bes c4 d2.) g4 a2 a,
	}
	\alternative {
		{ \partial 4*3 d2. }
		{ d1 }
	}
	\bar ".|."
}

verseTreble = \lyricmode
{
%	\set stanza = "1."
	Thy words the ra -- ging winds con -- trol, 
	And rule the boi -- st'rous deep,
	Thou mak'st the slee -- ping bil -- lows roll,
	The rol -- ling bil -- lows sleep,
	The rol -- ling bil -- lows sleep. sleep.
}

verseAlto = \lyricmode
{
%	\set stanza = "1."
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _
	Thou mak'st the slee -- ping bil -- lows roll,
	The rol -- ling bil -- lows sleep,
	The rol -- ling bil -- lows sleep. sleep.
}

verseTenor = \lyricmode
{
%	\set stanza = "1."
	Thy words the ra -- ging winds con -- trol, 
	And rule the boi -- st'rous deep,
	Thou mak'st the slee -- ping bil -- lows roll,
	The rol -- ling bil -- lows sleep,
	The rol -- ling bil -- lows sleep. sleep.
}

verseBass = \lyricmode
{
%	\set stanza = "1."
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _
	Thou mak'st the slee -- ping bil -- lows roll,
	The rol -- ling bil -- lows sleep,
	The rol -- ling, rol -- ling bil -- lows sleep. sleep.
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #3 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##t
	top-margin = 0.4\in
	bottom-margin = 0.5\in
	after-title-space = 2\mm
}

\header {
	title = "Ocean.  L.M. " %Tune name and hymn meter
	poet = \markup { "D Minor.  Isaac Watts, 1719." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-2
		\override Score.LyricSpace #'minimum-distance = #0
		\override Score.StanzaNumber #'font-series = #'medium
		\override Score.StanzaNumber #'font-size = #-2
		\context Staff = "treble" << 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\trebleMusic 
			>>
		\addlyrics { \verseTreble }
		\context Staff = "alto" << 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\altoMusic 
		>>
		\addlyrics { \verseAlto }
		\context Staff = "tenor" << 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\tenorMusic 
		>>
		\addlyrics { \verseTenor }
		\context Staff = "bass" << 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\bassMusic 
		>>
		\addlyrics { \verseBass }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}