\version "2.12.3"
\include "..\SHRepeats_Dots.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key d \major  
	\sacredHarpHeads 
	\autoBeamOff
	\time 3/4
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	\partial 4
	a4 a2 a4 d8.([ cis16] b4) a a2 
	a4 d8.([ cis16] b4) fis4 a( g) e e2
	a4 b( a) g fis2
	a4 fis( g) fis fis2
	cis'4 d( a) b cis( d) a \partial 4*2 a2
}

altoMusic = \relative c'
{
	\key d \major 
%	\clef alto
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	\partial 4
	d4 fis2 a4 g4( fis) e fis2           % changed 2d note to FIS from G
	a4 a2 a4 fis( g) e a2
	a4 d,8.([ e16] fis4) g a2
	fis4 a( g) fis fis2
	a4 fis8.([ g16] a4) b a2 g4 \partial 4*2 fis2
}

tenorMusic = \relative c''
{
	\key d \major 
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	\partial 4
	a4 d2 cis4 b2 cis4 d2
	e4 fis8.([ e16] d4) a d( cis) b a2
	cis4 d2 cis4 d2 a16[ b cis8] d4( cis8[ b8]) ais4 b2
	a4 d( cis) b a( d) cis \partial 4*2 d2
}

bassMusic = \relative f
{
	\clef bass
	\key d \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	\partial 4
	d4 d2 fis4 g2 a4 d,2                   % changed last note to D from E
	<a a'>4 d2 d4 d( e) e a,2
	<a a'>4 g'4( fis) e d2
	d4 d( e) fis b,2
	a'4 b( a) g fis( d) <a a'> \partial 4*2 d2
	\bar ".|."
}

verseTreble = \lyricmode
{
%	\set stanza = "1."
	Ho -- sa -- na to the King
	Of Da -- vid's ro -- yal blood,
	Bless him ye saints; He comes to bring
	Sal -- va -- tion from your God.
}

verseAlto = \lyricmode
{
}

verseTenor = \lyricmode
{
}

verseBass = \lyricmode
{
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #1 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##t
	top-margin = 0.4\in
	bottom-margin = 0.5\in
	after-title-space = 2\mm
}

\header {
	title = "Reedfield.  S.M. " %Tune name and hymn meter
	poet = \markup { "D Major.  Isaac Watts, 1719." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-2
		\override Score.LyricSpace #'minimum-distance = #0
		\override Score.StanzaNumber #'font-series = #'medium
		\override Score.StanzaNumber #'font-size = #-2
		\new Staff = "treble" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\trebleMusic 
		}
		\addlyrics { \verseTreble }
		\new Staff = "alto" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\altoMusic 
		}
%		\addlyrics { \verseAlto }
		\new Staff = "tenor" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\tenorMusic 
		}
		\addlyrics { \verseTreble }
		\new Staff = "bass" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\bassMusic 
		}
%		\addlyrics { \verseBass }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}