\version "2.12.3"
\include "..\SHRepeats.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key f \major % really d minor
	\time 4/4
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	a2 a4 a a a a a a2 g f1
	g2 g4 g a c a c a2 a a1
	f2 c'4 c a4.( bes8 a4) f c' c c a g1
	a2 f4 a bes c f, g a2 a a1
	a2 a4 a c c c a f2 \afterGrace a2 c8 \grace c8 a1
	c2 c4 c a4.( bes8 a4) <c g> f,2 bes \times 2/3 {a4( g f)} e2 d1
}

altoMusic = \relative c'
{
	\key f \major 
	\clef alto
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	d2 d4 f e e f f f2 <g e>2 <a f>1
	e2 e4 e f a f c c2 <e c> <f d>1
	a2 a4 a f2. f4 a a f <a f> <g e>1
	f2 f4 a bes a8[ g] f4 e d2 cis d1
	d2 c4 f c f c e f2 \afterGrace f2 a8 \grace a8 g1
	g2 g4 <g e> d2. c4 a'2 g f e <f d>1
}

tenorMusic = \relative c''
{
	\key f \major 
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	d,2 f4 a c c d d c2 g a1
	c2 c4 c a a d e f2 e d1
	a2 a4 a c4.( d8 c4) a4 f a c d c1
	a2 d4 cis d a d e f2 e d1
	f2 c4 c a f a c d2 cis d1
	e2 e4 e f4.( g8 f4) c a2 d c a a1
}

bassMusic = \relative f
{
	\clef bass
	\key f \major 
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	d2 d4 d a a d d f2 e d1
	c2 c4 c f f d c f( g) a2 d,1
	f2 f4 f f2. f4 f f a f c1
	f2 bes4 a g f d c d2 <a a'> d1
	d2 f4 f f a f a bes2 a g1
	c,2 c4 c d2. e4 f2 g a a, d1
	\bar ".|."
}

verseOne = \lyricmode
{
	\set stanza = "1."
	Not to our names, thou on -- ly just and true,
	Not to our worth -- less names in glo -- ry due;
	Thy pow'r and grace, thy truth and ju -- stice claim,
	Im -- mor -- tal ho -- nors to thy sov' -- reign name.
	Shine thro' the earth, from heav'n thy blest a -- bode,
	Nor let the hea -- then say, And where's your God?
}

verseTwo = \lyricmode
{
	\set stanza = "2."
	Heav'n is thine high -- er court; there stands thy throne,
	And thro' the lo -- wer worlds thy will is done:
	Our God fram'd all this earth, these heav'ns he spread,
	But fools a -- dore the gods their hands have made:
	The knee -- ling crowd, with looks de -- vout, be -- hold
	Their sil -- ver sa -- viours, and their saints of gold.
}

verseThree = \lyricmode
{
	\set stanza = "3."
	Be heav'n and earth a -- maz'd! 'Tis hard to say
	Which is more stu -- pid, or their gods or they:
	O Is -- rael, trust the Lord, he hears and sees,
	He knows thy sor -- rows and re -- stores thy peace:
	His wor -- ship does a thou -- sand com -- forts yield,
	He is thy help, and he thy heav'n -- ly shield.
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #3 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##t
	top-margin = 0.4\in
	bottom-margin = 0.5\in
}

\header {
	title = "Bath.  P.M. " %Tune name and hymn meter
	poet = \markup { "D Minor.  Isaac Watts, 1701." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-2
		\override Score.LyricSpace #'minimum-distance = #0.1
		\override Score.StanzaNumber #'font-series = #'medium
		\override Score.StanzaNumber #'font-size = #-2
		\context Staff = "treble" << 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\trebleMusic 
			>>
		\addlyrics { \verseOne }
		\context Staff = "alto" << 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\altoMusic 
		>>
		\addlyrics { \verseTwo }
		\context Staff = "tenor" << 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\tenorMusic 
		>>
		\addlyrics { \verseThree }
		\context Staff = "bass" << 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\bassMusic 
		>>
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}