\version "2.12.3"
\include "..\SHRepeats_Dots.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key c \major   % really a minor
	\sacredHarpHeads 
	\autoBeamOff
	\time 2/2

	a2 a4 gis a c b a b1                       % changed 2d note to A from G
	c2 c4 b a c b a gis1
	c2 c4 c b b a gis8[ a] b1
	a2 e'4 f e c b8[ a] gis4 a1
	\partial 2 r2
	\repeat volta 2 { \partial 2
		c2 b4 b b b c c c b c b a gis c c b2~ b
		c c4 b a gis a c b b b c g c b( a) gis2
	}
	\alternative {
		{ \partial 2 a2^\markup { \tiny 1. } }
		{ a1^\markup { \tiny 2. } }
	}
}

altoMusic = \relative c'
{
%	\clef alto
	\key c \major   % really a minor
	\sacredHarpHeads 
	\autoBeamOff

	e2 e4 e e g e g g1
	e2 e4 g a g g e e1
	e2 g4 g g g e dis e1
	a2 g4 f e g f e e1
	\partial 2 r2
	\repeat volta 2 { \partial 2
		e2 d4 d d e g g g 
		g g a g c, e e e2~e
		g2 a4 g f e e e g
		g g e g g f2 e
	}
	\alternative {
		{ \partial 2 e2^\markup { \tiny 1. } }
		{ e1^\markup { \tiny 2. } }
	}
}

tenorMusic = \relative c''
{
	\key c \major   % really a minor
	\sacredHarpHeads 
	\autoBeamOff

	a2 c4 e c e c e d1
	e2 a,4 b c e d c b1
	g'2 e4 e d d c b8[ a] gis1
	a2 c4 b c e d8[ c] b4 a1
	\partial 2 r2
	\repeat volta 2 { \partial 2
		c2 g'4 g g e e e e 
		d e c g' e c a e'2~ e
		e a,4 b c d e c g'
		e d c d e d( c) b2
	}
	\alternative {
		{ \partial 2 a2^\markup { \tiny 1. } }
		{ a1^\markup { \tiny 2. } }
	}
}

bassMusic = \relative f
{
	\clef bass
	\key c \major   % really a minor
	\sacredHarpHeads 
	\autoBeamOff

	a2 a4 e e c e c <g g'>1
	<c c'>2 <a a'>4 <g g'> <f f'> <e e'> <g g'> <a a'> e'1
	c2 c4 c f g a b e,1
	f2 e4 d c <c a> d e a,1
	\partial 2 r2
	\repeat volta 2 { \partial 2
		c'2 g4 g g g <c c,> <c c,> <c c,>
		g e f a gis a a e2~ e              % changed 4th note to A from G
		c f4 g a b c a g
		g g a g c, d2 e
	}
	\alternative {
		{ \partial 2 a,2^\markup { \tiny 1. } }
		{ a1^\markup { \tiny 2. } }
	}
	\bar ".|."
}

verseTreble = \lyricmode
{
	When we, our wea -- ry limbs to rest,
	  Sat down by proud Eu -- phra -- tes' stream, 
	We wept, with dole -- ful thoughts op -- pressed; 
	  And Zi -- on was our mourn -- ful theme.

	Our harps, that, when with joy we sung,
	  Were wont their tune -- ful parts to bear, 
	With si -- lent strings ne -- glec -- ted hung 
	  On wil -- low- -- trees, that wi -- thered there. there.
}

verseAlto = \lyricmode
{
}

verseTenor = \lyricmode
{
	When we, our wea -- ry limbs to rest,
	  Sat down by proud Eu -- phra -- tes' stream, 
	We wept, with dole -- ful thoughts op -- pressed; 
	  And Zi -- on was our mourn -- ful theme.

	Our harps, that, when with joy we sung,
	  Were wont their tune -- ful parts to bear, 
	With si -- lent strings ne -- glec -- ted hung 
	  On wil -- low- -- trees, that wi -- thered there. there.
}

verseBass = \lyricmode
{
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##t
	top-margin = 0.4\in
	bottom-margin = 0.5\in
	after-title-space = 2\mm
}

\header {
	title = "Captivity.  L.M. " %Tune name and hymn meter
	poet = \markup { "A Minor.  Isaac Watts, 1719." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\new Staff = "treble" { 
			\trebleMusic 
			}
		\addlyrics { \verseTreble }
		\new Staff = "alto" { 
			\altoMusic 
		}
%		\addlyrics { \verseAlto }
		\new Staff = "tenor" { 
			\tenorMusic 
		}
		\addlyrics { \verseTenor }
		\new Staff = "bass" { 
			\bassMusic 
		}
%		\addlyrics { \verseBass }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
			\override SpanBar #'transparent = ##t %Turns off staff lines between staves
			\override LyricText #'font-size = #-2.4
			\override LyricSpace #'minimum-distance = #0
			\override StanzaNumber #'font-series = #'medium
			\override StanzaNumber #'font-size = #-2
			\override VoltaBracket #'stencil = ##f
		}
		\context {
			\Staff
			\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\override BarLine #'stencil = #with-shapenote-repeats
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 96 4) %Sets the metronome speed and value of the beat
		}
	}
}