\version "2.12.3"
\include "..\SHRepeats_Dots.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key g \major
	\sacredHarpHeads 
	\autoBeamOff
	\time 3/2

	\partial 2
	b2 | a( g) c | b( a) d | c( b) a | b1
	g2 | c( b) e | d( c) b | a( g) a | a1
	g2 | c( b) a | d( c) b | a( g) a4( b) | d1
	b2 | a( g) c | b( a) g | c( b) a | 
	\partial 2*2 b1
	\bar ".|."
}

altoMusic = \relative c'
{
	\clef alto
	\key g \major
	\sacredHarpHeads 
	\autoBeamOff

	\partial 2
	d2 | e1 e2 | d1 d2 | e1 d2 | d1
	g2 | fis1 g2 | b,( c) d | e1 fis2 | fis1
	g2 | g1 e2 | fis1 d2 | e1 e2 | d1
	d2 | e1 e2 | d1 <g b,>2 | e1 d2 |
	\partial 2*2 d1
}

tenorMusic = \relative c''
{
	\key g \major
	\sacredHarpHeads 
	\autoBeamOff

	\partial 2
	g2 | c( b) e | d( c) b | a( g) fis | g1        % final note changed to G from A
	b2 | a( g) c | b( a) d | c( b) d | d1
	d2 | e( d) c | b( a) g | c( b) a4( g) | a1
	g2 | c( b) a | d( c) b | a( g) fis | 
	\partial 2*2 g1
}

bassMusic = \relative f
{
	\clef bass
	\key g \major
	\sacredHarpHeads 
	\autoBeamOff

	\partial 2
	g2 | c,1 a2 | d1 <g g,>2 | c,2( d) d | g,1
	g'2 | d1 c 2| g( a) b | c( d) d | d1
	g2 | <e c>1 a2 | d,1 <g g,>2 | c,2( d) d d1
	<g g,>2 | c,1 a2 | d1 e2 | c( d) d |
	\partial 2*2 g,1
	\bar ".|."
}

verseTreble = \lyricmode
{
	\set stanza = "1."
	He reigns; the Lord the Sa -- viour reigns!
	Praise him in e -- van -- ge -- lic strains;
	Let the whole earth in songs re -- joice,
	And di -- stant is -- lands join their voice.
}

verseAlto = \lyricmode
{
	\set stanza = "2."
	Deep are his coun -- sels and un -- known;
	But grace and truth sup -- port his throne;
	Though gloo -- my clouds his ways sur -- round,
	Ju -- stice is their e -- ter -- nal ground.
}

verseTenor = \lyricmode
{
	\set stanza = "3."
	In robes of judg -- ment, lo! he comes,
	Shakes the wide earth, and cleaves the tombs 
	Be -- fore him burns de -- vou -- ring fire,
	The moun -- tains melt, the seas re -- tire.
}

verseBass = \lyricmode
{
	\set stanza = "4."
	His e -- ne -- mies, with sore dis -- may, 
	Fly from the sight, and shun the day; 
	Then lift your heads, ye saints, on high. 
	And sing, for your re -- demp -- tion's nigh.
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##t
	top-margin = 0.4\in
	bottom-margin = 0.5\in
	after-title-space = 2\mm
}

\header {
	title = "Cumberland.  L.M. " %Tune name and hymn meter
	poet = \markup { "G Major.  Isaac Watts, 1719." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\new Staff = "treble" { 
			\trebleMusic 
			}
		\addlyrics { \verseTreble }
		\new Staff = "alto" { 
			\altoMusic 
		}
		\addlyrics { \verseAlto }
		\new Staff = "tenor" { 
			\tenorMusic 
		}
		\addlyrics { \verseTenor }
		\new Staff = "bass" { 
			\bassMusic 
		}
		\addlyrics { \verseBass }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
			\override SpanBar #'transparent = ##t %Turns off staff lines between staves
			\override LyricText #'font-size = #-2.4
			\override LyricSpace #'minimum-distance = #0
			\override StanzaNumber #'font-series = #'medium
			\override StanzaNumber #'font-size = #-2
			\override VoltaBracket #'stencil = ##f
		}
		\context {
			\Staff
			\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\override BarLine #'stencil = #with-shapenote-repeats
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 72 2) %Sets the metronome speed and value of the beat
		}
	}
}