\version "2.12.3"
\include "..\SHRepeats_Dots.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key f \major
	\sacredHarpHeads 
	\autoBeamOff
	\time 2/4

	\partial 4
	a4 a a a c bes8[ a] g4 a4.
	c8 f,4 a8[ bes] <c a>4 <bes g>8[ a] g4-| g-| g4.-|
	a8 c[ bes] a[ g] a4. c8 bes8[ a16 g] f8[ a] bes4 r8
	d8 c4 a8[ c] bes[ d] d[ bes] a4 g <a f>2
	\bar ".|."
}

altoMusic = \relative c'
{
%	\clef alto
	\key f \major
	\sacredHarpHeads 
	\autoBeamOff

	\partial 4
	f4 f c f a g8[ f16 e] d8[ c] c4.
	c8 f4 f8[ e] f4 c8[ f] e4-| e-| e4.-|
	c8 a'[ g] f[ e] f4. a,8 d4 d d r8
	f8 a4 a g f f e f2                 % changed 6th note to F from E
}

tenorMusic = \relative c''
{
	\key f \major
	\sacredHarpHeads 
	\autoBeamOff

	\partial 4
	f,4 c' f c a bes8[ c] d[ e] f4.
	c8 d4 c8[ bes] a4 g8[ f] c'4-| c-| c4.-|
	a8 f[ g] a[ bes] c4. a8 bes[ c] d[ e] f4 r8
	a,8 f[ a] c[ f] d[ bes] g4 f e f2
}

bassMusic = \relative f
{
	\clef bass
	\key f \major
	\sacredHarpHeads 
	\autoBeamOff

	\partial 4
	f4 f f f f g8[ a] bes[ c] f,4.
	a8 bes4 a8[ g] f4 e8[ d] c4-| c-| c4.-|
	f8 f[ e] f[ g] f4. a8 g8[ f16 e] d8[ c] bes4 r8
	f'8 f4 f g8.[ a16] bes8[ d] c4 c, f2
	\bar ".|."
}

verseTreble = \lyricmode
{
	\set stanza = "1."
	So let our lips and lives ex -- press,
	The ho -- ly gos -- pel we pro -- fess;
	So let our works and vir -- tues shine,
	To prove the doc -- trine all di -- vine.
}

verseAlto = \lyricmode
{
	\set stanza = "2."
	Thus shall we best pro -- claim a -- broad
	The ho -- nours of our sa -- viour God;
	When the sal -- va -- tion reigns with -- in,
	And grace sub -- dues the pow'r of sin.
}

verseTenor = \lyricmode
{
	\set stanza = "3."
	Our flesh and sense must be de -- ny'd,
	Pas -- sion and en -- vy, lust and pride;
	While ju -- stice, temp' -- rance, truth and love
	Our in -- ward pi -- e -- ty ap -- prove.
}

verseBass = \lyricmode
{
	\set stanza = "4."
	Re -- li -- gion bears our spi -- rits up,
	While we ex -- pect that bles -- sed hope,
	The bright ap -- pea -- rance of the Lord,
	And faith stands lea -- ning on his word.
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##t
	top-margin = 0.4\in
	bottom-margin = 0.5\in
	after-title-space = 2\mm
}

\header {
	title = "York.  L.M. " %Tune name and hymn meter
	poet = \markup { "F Major.  Isaac Watts, 1719." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\new Staff = "treble" { 
			\trebleMusic 
			}
		\addlyrics { \verseTreble }
		\new Staff = "alto" { 
			\altoMusic 
		}
		\addlyrics { \verseAlto }
		\new Staff = "tenor" { 
			\tenorMusic 
		}
		\addlyrics { \verseTenor }
		\new Staff = "bass" { 
			\bassMusic 
		}
		\addlyrics { \verseBass }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
			\override SpanBar #'transparent = ##t %Turns off staff lines between staves
			\override LyricText #'font-size = #-1.5
			\override LyricSpace #'minimum-distance = #0
			\override StanzaNumber #'font-series = #'medium
			\override StanzaNumber #'font-size = #-1.5
			\override VoltaBracket #'stencil = ##f
		}
		\context {
			\Staff
			\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\override BarLine #'stencil = #with-shapenote-repeats
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 86 4) %Sets the metronome speed and value of the beat
		}
	}
}