\version "2.12.3"
\include "..\SHRepeats_Dots.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key a \major
	\sacredHarpHeads 
	\autoBeamOff
	\time 2/2

	cis2 a4 cis e^\markup { \tiny Presto. } cis cis2
	a4( b) cis e e cis cis2
	a2 d4 b cis2. r4
	e4( cis) b gis e4.^\markup { \tiny Maestoso. } gis8 b2
	a2 cis4 d e cis a2
	cis2 a4 cis a b b2                                      % changed 4th note to A from GIS
	fis2 cis'4 cis^\markup { \tiny Pia. } cis2. r4
	a4( cis) cis d e cis^\markup { \tiny Forte. } <cis a>2
	e b4 <d b> cis1
	\bar ".|."
}

altoMusic = \relative c'
{
%	\clef alto
	\key a \major
	\sacredHarpHeads 
	\autoBeamOff

	e2 e4 e a a a2
	cis,4( fis) e e e <a fis> <a fis>2
	e2 fis4 e e2. r4
	a2 gis4 gis gis4. gis8 gis2
	e2 e4 d cis e e2
	a2 a4 a fis gis gis2
	fis2 gis4 gis <a fis> 2. r4
	e2 e4 d cis e e2
	<gis e>2 <gis e>4 <gis e> <a e>1
}

tenorMusic = \relative c''
{
	\key a \major
	\sacredHarpHeads 
	\autoBeamOff

	a2 cis4 a cis e e2
	e4( d) cis b cis a a2
	e' d4 d cis2. r4
	b4( a) gis b e4. e8 e2
	cis cis4 b a cis cis2
	a2 cis4 a cis e e2
	fis2 eis4 eis fis2. r4
	e4( cis) cis b cis d e2
	cis b4 b a1
}

bassMusic = \relative f
{
	\clef bass
	\key a \major
	\sacredHarpHeads 
	\autoBeamOff

	<< { a2 a4 a a a a2 cis4( b) a e }
	   { a,2 a4 a a a a2 cis4( b) a e }
	>>
	cis' fis fis2
	a2 d,4 e <a a,>2. r4
	e2 e4 e e4. e8 e2
	<< { a2 a4 b cis a a2 }
	   { a,2 a4 b cis a a2 }
	>>
	fis'2 fis4 fis fis e e2
	d2 cis4 cis fis2. r4                   % changed last note to FIS from E
	<< { a2 a4 b cis a a2 e e4 e a1 }
	   { a,2 a4 b cis a a2 e e4 e a1 }
	>>
	\bar ".|."
}

verseTreble = \lyricmode
{
%	\set stanza = "1."
	Come thou, Al -- migh -- ty king,
	Help us thy name to sing,
	Help us to praise.
	Fa -- ther all glo -- ri -- ous,
	O'er all vic -- to -- ri -- ous,
	Come and reign o -- ver us,
	An -- cient of days.
	Come and reign o -- ver us,
	An -- cient of days.
}

verseAlto = \lyricmode
{
}

verseTenor = \lyricmode
{
%	\set stanza = "1."
	Come thou, Al -- migh -- ty king,
	Help us thy name to sing,
	Help us to praise.
	Fa -- ther all glo -- ri -- ous,
	O'er all vic -- to -- ri -- ous,
	Come and reign o -- ver us,
	An -- cient of days.
	Come and reign o -- ver us,
	An -- cient of days.
}

verseBass = \lyricmode
{
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##t
	top-margin = 0.4\in
	bottom-margin = 0.5\in
	after-title-space = 2\mm
}

\header {
	title = "Omega." %Tune name and hymn meter
	poet = \markup { "A Major.  Charles Wesley." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\new Staff = "treble" { 
			\trebleMusic 
			}
		\addlyrics { \verseTreble }
		\new Staff = "alto" { 
			\altoMusic 
		}
%		\addlyrics { \verseAlto }
		\new Staff = "tenor" { 
			\tenorMusic 
		}
		\addlyrics { \verseTenor }
		\new Staff = "bass" { 
			\bassMusic 
		}
%		\addlyrics { \verseBass }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
			\override SpanBar #'transparent = ##t %Turns off staff lines between staves
			\override LyricText #'font-size = #-1.5
			\override LyricSpace #'minimum-distance = #0
			\override StanzaNumber #'font-series = #'medium
			\override StanzaNumber #'font-size = #-1.5
			\override VoltaBracket #'stencil = ##f
		}
		\context {
			\Staff
			\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\override BarLine #'stencil = #with-shapenote-repeats
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 86 4) %Sets the metronome speed and value of the beat
		}
	}
}